2010-05-05 18:23  kwo

	* configure.ac: 1.4.4.

2010-05-05 18:23  kwo

	* ChangeLog: New ChangeLog.

2010-05-05 18:23  kwo

	* Makefile.am: Add rule to generate ChangeLog.

2010-04-08 01:29  raster

	* src/lib/image.h: minor buglet - w * w - duh!

2010-04-05 18:36  kwo

	* src/lib/file.c, src/lib/file.h: Remove unused __imlib_FileField
	  functions.

2010-04-05 18:36  kwo

	* autogen.sh: No need for libtoolize twice?

2010-03-14 20:34  kwo

	* configure.ac: 1.4.3.

2010-03-14 15:25  kwo

	* .cvsignore, data/.cvsignore, data/fonts/.cvsignore,
	  data/images/.cvsignore, doc/.cvsignore, src/.cvsignore,
	  src/bin/.cvsignore, src/lib/.cvsignore, src/modules/.cvsignore,
	  src/modules/filters/.cvsignore, src/modules/loaders/.cvsignore:
	  Remove .cvsignores.

2010-03-14 15:25  kwo

	* ChangeLog: Remove ancient ChangeLog.

2010-03-14 15:25  kwo

	* autogen.sh: No need to touch README.

2010-02-27 18:14  kwo

	* src/lib/ximage.h: Oops - forgot extern.

2010-02-20 11:51  kwo

	* src/lib/ximage.c: Avoid cast.

2010-02-20 11:51  kwo

	* src/lib/ximage.c: Only check XShmAttach once in
	  __imlib_ShmGetXImage().

2010-02-20 11:51  kwo

	* src/lib/grab.c, src/lib/ximage.c, src/lib/ximage.h: Fix excessive
	  checking for shm extension in __imlib_GrabDrawableToRGBA().

2010-02-20 11:50  kwo

	* .gitignore: Add .gitignore.

2010-02-11 20:01  kwo

	* src/modules/loaders/loader_png.c: Fix for libpng-1.4
	  (png_check_sig->png_sig_cmp).

2010-02-07 23:47  mej

	* ., configure.ac, imlib2.spec.in: Fix build.

2010-02-05 19:31  barbieri

	* Makefile.am: there is no m4 dir anymore.

2010-01-13 21:08  caro

	* Makefile.am: aclocal flag could be needed. I prefer being polite
	  and saying nothing about libtool...

2009-12-06 02:31  devilhorns

	* configure.ac: Enable silent rules in building imlib2

2009-10-30 20:00  kwo

	* configure.ac: Remove incorrect test for X11/X.h.

2009-10-30 19:40  kwo

	* src/lib/Makefile.am: Fix compiling .S files when using older
	  automake (ticket 449).

2009-10-28 21:17  kwo

	* src/modules/loaders/Makefile.am: Use PNG_CFLAGS when compiling
	  png loader (ticket 449).

2009-10-24 06:29  kwo

	* src/lib/image.h: Correct image dimension check (pixels are four
	  bytes).

2009-10-07 12:07  raster

	* src/lib/image.c: handle modified dir date of 0

2009-08-10 16:26  kwo

	* imlib2.spec.in, src/lib/Makefile.am: Fix build for x86 on x86_64.
	  
	  As far as I can tell this fixes building on x86_64 with e.g.
	  './configure --enable-mmx CFLAGS=-m32" or "rpmbuild --target i386
	  ..."
	  without breaking anything.

2009-07-27 21:35  kwo

	* doc/index.html, src/lib/Imlib2.h: Remove unimplemented
	  imlib_clip_line prototype and documentation (ticket 379).

2009-07-27 21:05  kwo

	* src/lib/Imlib2.h, src/lib/image.h, src/lib/rend.c,
	  src/modules/loaders/loader_argb.c,
	  src/modules/loaders/loader_bmp.c,
	  src/modules/loaders/loader_gif.c,
	  src/modules/loaders/loader_jpeg.c,
	  src/modules/loaders/loader_lbm.c,
	  src/modules/loaders/loader_png.c,
	  src/modules/loaders/loader_pnm.c,
	  src/modules/loaders/loader_tga.c,
	  src/modules/loaders/loader_tiff.c,
	  src/modules/loaders/loader_xpm.c: Relax 8192 pixel dimension
	  limit (ticket 361).
	  
	  This time hopefully without buffer overflow issues.

2009-07-24 19:32  devilhorns

	* configure.ac: Add m4 macro dir as suggested by autoconf.

2009-07-18 09:58  kwo

	* src/lib/Imlib2.h, src/lib/rend.c,
	  src/modules/loaders/loader_argb.c,
	  src/modules/loaders/loader_bmp.c,
	  src/modules/loaders/loader_gif.c,
	  src/modules/loaders/loader_jpeg.c,
	  src/modules/loaders/loader_lbm.c,
	  src/modules/loaders/loader_png.c,
	  src/modules/loaders/loader_pnm.c,
	  src/modules/loaders/loader_tga.c,
	  src/modules/loaders/loader_tiff.c,
	  src/modules/loaders/loader_xpm.c: Relax 8192 pixel dimension
	  limit (ticket 361).

2009-07-03 01:30  vapier

	* src/modules/filters/Makefile.am: imlib2: bumpmap: link against
	  -lm since we use sin()/cos() functions

2009-05-04 17:36  quaker

	* debian/control: Fixed debian stuff everywhere.

2009-04-19 16:28  quaker

	* debian/control: Updated Standards-Version

2009-04-14 17:21  quaker

	* debian/control: Updated debian stuff(grew Standards-Version,
	  updated python-ecore rules file)

2009-03-24 19:56  quaker

	* debian/rules: i found it is useless and cdbs is setting up prefix
	  automatically.

2009-03-24 19:51  quaker

	* debian/rules: forgot to add --prefix=/usr

2009-03-24 19:44  quaker

	* debian/rules: Updated debian stuff everywhere.

2009-03-01 12:14  kwo

	* src/lib/font_query.c: Fix imlib_font_query_size width calculation
	  when there are undefined
	  codepoints (ticket 230).

2009-01-24 23:51  kwo

	* src/modules/loaders/loader_bmp.c: Fix big endian bug in bmp
	  loader (jogness, ticket 195).

2009-01-19 05:39  raster

	* src/modules/loaders/loader_id3.c: fix bufferoverflow in id3
	  loader.

2009-01-13 13:00  raster

	* COPYING: fix the copying license to
	  
	  1. get rid of grammar mistake
	  2. refer to COPYING-PLAIn correctly as the filename
	  3. be more explicit on "shipping source" due to ambiguity (this
	  makes it what
	  it was intended to be and that is GPL compatible).
	  
	  this does not modify the LGPL libs... or GPL apps etc. - only
	  those using the
	  original COPYING from e. author and dates at the top remain the
	  same.

2009-01-09 16:33  quaker

	* debian/rules: Added debian/rules files with a new permissions
	  set(755).

2009-01-09 16:31  quaker

	* debian/rules: prepare debian rules files for new chmod
	  permissions.

2009-01-01 13:59  kwo

	* src/lib/amd64_blend.S, src/lib/amd64_blend_cmod.S: Fix alignment
	  error on amd64 (patch from Erik Boettcher).

2009-01-01 11:35  quaker

	* debian, debian/changelog, debian/compat, debian/control,
	  debian/copyright, debian/imlib2-config.1,
	  debian/imlib2-demo.install, debian/imlib2-test.install,
	  debian/libimlib2-dev.doc-base, debian/libimlib2-dev.install,
	  debian/libimlib2.install, debian/rules: Added new set of debian
	  subdirs.
	  
	  BROKEN/etox
	  e
	  ecore
	  e_dbus
	  edje
	  edje_editor
	  edje_viewer
	  eet
	  efreet
	  eina
	  elicit
	  elitaire
	  embryo
	  E-MODULES-EXTRA
	  emotion
	  emphasis
	  empower
	  emprint
	  enhance
	  enity
	  entrance
	  ephoto
	  epsilon
	  esmart
	  estickies
	  etk
	  etk_extra
	  evas
	  evolve
	  ewl
	  exhibit
	  exml
	  expedite
	  imlib2
	  imlib2_loaders
	  MISC/engage
	  OLD/eclair
	  OLD/engrave
	  OLD/enotes
	  OLD/entrance_edit_gui
	  OLD/e_utils
	  OLD/evoak
	  OLD/examine
	  OLD/iconbar
	  PROTO/etk_server
	  PROTO/exchange
	  PROTO/extrackt
	  rage

2009-01-01 11:25  quaker

	* debian: Removed debian subfolders - prepared for a new set of
	  debian subdirs.

2008-12-31 17:27  devilhorns

	* Makefile.am: Fix blank line after trailing space warning.

2008-12-31 10:52  quaker

	* Makefile.am, configure.ac: Removed debian things like rasterman
	  did in some others from Makefile.am and configure.ac/in(and
	  modifed AUTHORS, autogen.sh and README in E-MODULES-EXTRA) in
	  
	  edje_viewer
	  elicit
	  elitaire
	  E-MODULES-EXTRA
	  emotion
	  emphasis
	  empower
	  enhance
	  entrance
	  ephoto
	  epsilon
	  esmart
	  estickies
	  etk
	  ewl
	  exhibit
	  exml
	  imlib2
	  imlib2_loaders
	  MISC/engage
	  OLD/eclair
	  OLD/engrave
	  OLD/enotes
	  OLD/e_utils
	  OLD/examine
	  OLD/iconbar
	  PROTO/etk_server
	  PROTO/extrackt

2008-11-22 09:27  raster

	* src/modules/loaders/loader_xpm.c: crash fix.

2008-11-01 18:11  kwo

	* src/lib/grab.c, src/lib/ximage.c, src/lib/ximage.h: Refactor shm
	  stuff.

2008-11-01 10:17  kwo

	* configure.ac, imlib2.spec.in, src/modules/filters/Makefile.am,
	  src/modules/loaders/Makefile.am: Don't build static libs for
	  modules.

2008-10-26 13:59  kwo

	* src/lib/color.c, src/lib/color.h, src/lib/context.c,
	  src/lib/context.h, src/lib/draw.c, src/lib/draw.h,
	  src/lib/grab.c, src/lib/grab.h, src/lib/rend.c, src/lib/rend.h,
	  src/lib/rgba.c, src/lib/rgba.h, src/lib/ximage.c,
	  src/lib/ximage.h: Remove redundant BUILD_X11 tests, indent.

2008-10-22 18:48  kwo

	* Makefile.am, configure.ac, imlib2-config.in, imlib2.spec.in:
	  Revert imlib2-config removal. There still may be systems without
	  pkgconfig out there.

2008-10-22 18:36  kwo

	* Makefile.am, configure.ac, imlib2-config.in, imlib2.spec.in:
	  Remove imlib2-config (use pkgconfig).

2008-10-22 18:31  kwo

	* NEWS: No need for empty NEWS ... and remove it!.

2008-10-22 18:22  kwo

	* Makefile.am: No need for empty NEWS.

2008-10-22 18:21  kwo

	* libltdl: Remove obsolete libltdl dir.

2008-10-22 04:28  mej

	* configure.ac: Tue Oct 21 21:28:27 2008 Michael Jennings (mej)
	  
	  1.4.2 is released. Prepare for new stuff.
	  ----------------------------------------------------------------------

2008-09-30 18:07  pfritz

	* configure.ac, configure.in: configure.in -> configure.ac

2008-09-12 21:26  kwo

	* src/modules/loaders/loader_jpeg.c: Fix loading of jpeg files with
	  4 color components (kntriant, ticket 84).

2008-09-09 20:14  kwo

	* configure.in: Lets make it at least 1.4.2 next time.

2008-09-09 20:13  kwo

	* src/bin/imlib2_view.c: Indent.

2008-09-09 20:11  kwo

	* src/bin/imlib2_view.c: Fix incorrect event loop causing 100% load
	  until an X event is received.

2008-09-09 19:00  kwo

	* src/modules/loaders/loader_xpm.c: xpm loader fix (Marcus
	  Meissner, ticket 28).

2008-09-02 18:43  kwo

	* src/modules/loaders/loader_pnm.c: pnm loader fix (Marcus
	  Meissner, ticket 25).

2008-08-18 16:42  barbieri

	* data/images/audio.png, data/images/bg.png, data/images/bulb.png,
	  data/images/cal.png, data/images/calc.png,
	  data/images/folder.png, data/images/globe.png,
	  data/images/imlib2.png, data/images/lock.png,
	  data/images/mail.png, data/images/menu.png, data/images/mush.png,
	  data/images/paper.png, data/images/sh1.png, data/images/sh2.png,
	  data/images/sh3.png, data/images/stop.png, data/images/tnt.png,
	  doc/img/b.png, doc/img/hilite.png, doc/img/imlib2.png,
	  doc/img/imlib2_mini.png, doc/img/n.png, doc/img/t.png,
	  doc/img/tl.png: Set svn:mime-type to image/png on *.png

2008-08-18 00:02  raster

	* data/fonts/cinema.ttf, data/fonts/grunge.ttf,
	  data/fonts/morpheus.ttf, data/fonts/notepad.ttf,
	  data/images/audio.png, data/images/bg.png, data/images/bulb.png,
	  data/images/cal.png, data/images/calc.png,
	  data/images/folder.png, data/images/globe.png,
	  data/images/imlib2.png, data/images/lock.png,
	  data/images/mail.png, data/images/menu.png, data/images/mush.png,
	  data/images/paper.png, data/images/sh1.png, data/images/sh2.png,
	  data/images/sh3.png, data/images/stop.png, data/images/tnt.png,
	  doc/blank.gif, doc/img/_.gif, doc/img/b.png, doc/img/hilite.png,
	  doc/img/imlib2.png, doc/img/imlib2_mini.png, doc/img/n.gif,
	  doc/img/n.png, doc/img/t.gif, doc/img/t.png, doc/img/tl.gif,
	  doc/img/tl.png, doc/imlib2.gif: ok. i think most binary files are
	  now fixed.

2008-08-17 14:29  raster

	* data/images/audio.png, data/images/bg.png, data/images/bulb.png,
	  data/images/cal.png, data/images/calc.png,
	  data/images/folder.png, data/images/globe.png,
	  data/images/imlib2.png, data/images/lock.png,
	  data/images/mail.png, data/images/menu.png, data/images/mush.png,
	  data/images/paper.png, data/images/sh1.png, data/images/sh2.png,
	  data/images/sh3.png, data/images/stop.png, data/images/tnt.png,
	  doc/blank.gif, doc/img/_.gif, doc/img/b.png, doc/img/hilite.png,
	  doc/img/imlib2.png, doc/img/imlib2_mini.png, doc/img/n.gif,
	  doc/img/n.png, doc/img/t.gif, doc/img/t.png, doc/img/tl.gif,
	  doc/img/tl.png, doc/imlib2.gif: fix binaries

2008-08-17 07:44  raster

	* .: move around - flatter.

2008-08-13 18:17  kwo

	* Ignore+-.

2008-08-13 17:56  kwo

	* Return value is not a pointer.

2008-08-13 17:55  kwo

	* Introduce imlib_context_disconnect_display().
	  
	  imlib_context_disconnect_display() should be called when a
	  display
	  connection is closed but the application continues using imlib2
	  with a
	  different display connection.
	  This is required to avoid to attempt to free cached GCs (in
	  __imlib_RenderImage) after the associated display connection has
	  been
	  closed.
	  It is not unlikely that similar cleanups should be performed
	  elsewhere
	  in this situation, but the __imlib_RenderImage GCs is the only
	  case I
	  have found to cause trouble so far.

2008-06-18 20:45  kwo

	* Loader fixes based on patch from Hans de Goede/Fedora.
	  Fix off by one error in check (tga loader).

2008-06-18 18:54  kwo

	* Oops - correction.

2008-06-18 17:52  kwo

	* Various loader fixes (Marcus Meissner, bug 494).

2008-06-13 22:39  vapier

	* fix from Hans de Goede to look for /usr/share/X11/rgb.txt as most
	  modern systems are using now

2008-06-10 05:44  mej

	* Mon Jun 9 22:46:01 2008 Michael Jennings (mej)
	  
	  Ready for new asparagus snapshots.
	  ----------------------------------------------------------------------

2008-06-01 21:34  kwo

	* Add support for TrueType Collections (suggested by Arne Goetje,
	  bug 487).
	  
	  The font specifier format is now "font_name[:faceidx]/size" where
	  faceidx is an optional face index.

2008-05-27 14:35  raster

	* 2 possible security vulns fixed. should probably release new
	  version with
	  these.

2008-05-15 22:21  kwo

	* MAINTAINERCLEANFILES: aclocalm4->aclocal.m4

2008-05-14 05:36  doursse

	* * improve autotools stuff
	  * move libtool versioning from src/bin/Makefile.am to
	  configure.in
	  * formatting

2008-05-10 20:27  kwo

	* Map after resize to avoid initial placement silliness.

2008-05-10 16:40  kwo

	* Fix HSV color conversion so it matches the API documentation
	  (Dariusz Knocinski).

2008-05-09 17:45  kwo

	* Fix destination image loading in __imlib_BlendImageToImage()
	  (Victor Paesa - bug 480).

2008-05-09 17:45  kwo

	* Fix destination image loading in
	  __imlib_BlendImageToImageSkewed() (Victor Paesa - bug 479).

2008-05-07 21:41  kwo

	* Remove incorrect test in __imlib_copy_alpha_data() (Victor Paesa
	  - bug 475).

2008-05-07 21:38  kwo

	* Fix destination image loading in
	  imlib_image_copy_alpha_to_image() (Victor Paesa - bug 474).

2008-04-20 12:19  vapier

	* add X status to the summary display

2008-04-20 12:17  vapier

	* if png is disabled, set png_ok so the summary display is nice

2008-04-20 12:16  vapier

	* fix running with libtool-2.2+

2008-03-11 05:38  mej

	* Mon Mar 10 22:38:16 2008 Michael Jennings (mej)
	  
	  Do not use PKG_CHECK_EXISTS.
	  ----------------------------------------------------------------------

2008-02-18 19:52  kaethorn

	* generalize imlib2 library install files

2008-02-18 19:31  kaethorn

	* fix test package and clean up some install files.

2008-02-04 19:38  kwo

	* Remove restriction to 8 bits per sample (suggested by David A.
	  Gatwood, bug 374).
	  Set stopOnError (seems like the proper thing to do?).

2008-02-04 19:37  kwo

	* Indent.

2008-01-28 22:12  kaethorn

	* remove duplicate line.
	  clean install files for test package.

2008-01-25 03:35  raster

	* asparagus! also pass distcheck and have common autofoo init that
	  is
	  consistent for package, version etc.

2008-01-06 15:07  kwo

	* Oops - missed one (malloc check).

2008-01-06 13:57  kwo

	* Handle some out-of-memory situations without crashing.

2008-01-06 13:57  kwo

	* Push initial ctxt - continued, wasn't done everywhere.

2007-12-06 18:17  davemds

	* Update doxy style

2007-11-13 03:47  raster

	* push initial ctxt too

2007-11-07 20:23  englebass

	* Use pkg-config to check for png

2007-11-04 09:47  englebass

	* Fix signed warning.

2007-08-26 14:33  raster

	* asparagus!

2007-08-25 02:33  raster

	* different png loading to fix png greyscale loads

2007-08-25 02:07  raster

	* round as a #define - and xpm loader has extra rgb.txt sourc

2007-07-27 18:46  kwo

	* Mark some (new) functions deprecated as they are likely to be
	  removed (see bug 118).
	  Change some names to match coding style a bit more.

2007-07-27 17:26  kwo

	* Indent, rewrap long comment lines.

2007-07-23 14:27  raster

	* font chaining patch

2007-07-15 08:28  raster

	* various patches from the devel mailing list in - and fixed where
	  needed.

2007-07-10 00:13  raster

	* 1. fix a lot of things so they pass make distcheck - so many
	  things have
	  broken. guys - need to be more careful!
	  2. asparagus
	  3. some extra docs/comments for evas

2007-06-17 15:25  raster

	* ASPARAGUS!

2007-05-30 14:35  raster

	* patches for imlib2 and e.

2007-05-20 13:26  kwo

	* Indent C files.

2007-05-20 13:24  kwo

	* Add indent profile.

2007-05-20 12:49  kwo

	* Make code indentable.

2007-05-19 18:32  kwo

	* Back out fontset patch.

2007-05-06 13:54  raster

	* fontset patch from winfred

2007-05-06 13:44  raster

	* up to 1.4.0 ...

2007-05-05 15:14  raster

	* asparagus - pass distcheck.

2007-04-09 12:55  kwo

	* Add option to build with visibility=hidden + associated fixups.

2007-03-25 09:04  englebass

	* Remove unused files.

2007-03-22 20:52  tilman

	* don't _require_ freetype2

2007-03-22 16:01  englebass

	* No longer needed.

2007-02-15 04:15  ningerso

	* Protect against segfaults if XImage allocation fails.
	  Return usable status to the API caller so it can handle the error
	  condition.

2007-01-13 05:39  vapier

	* cleanup and simplify ... this should also fix the preprocessor
	  paste error seen on x86

2006-12-08 12:56  raster

	* line patch for imlib2 from john williams.

2006-12-03 03:59  mej

	* Sat Dec 2 22:59:35 2006 Michael Jennings (mej)
	  
	  Add directory ownerships.
	  ----------------------------------------------------------------------

2006-11-13 11:20  raster

	* fix clip?

2006-11-08 06:46  vapier

	* need to call AC_PATH_X to make sure have_x is set early enough
	  and then we need to not clobber it when checking for X11/X.h

2006-11-07 04:37  vapier

	* use -std=gnu99 in CPPFLAGS if compiler supports it

2006-11-05 04:58  raster

	* fix width and height checks in case of buffer overflow.

2006-11-04 17:43  raster

	* fix possible overflow in tga loader

2006-10-25 04:45  vapier

	* need AM_PROG_AS as pointed out by automake-1.10/Marc-Andre Landry

2006-10-20 18:21  kwo

	* In imlib_render_pixmaps_for_whole_image() and
	  imlib_render_pixmaps_for_whole_image_at_size()
	  don't complain about NULL mask_return. A NULL mask_return is
	  handled appropriately down
	  the line and simply suppresses rendering of a mask.

2006-10-20 18:03  kwo

	* Fix major memory leak in xpm loader.

2006-09-30 08:15  raster

	* asparagus - forgot to commit

2006-09-07 21:05  kwo

	* Set Release like most other places in the e17 tree.
	  Remove XFree86-devel requirement causing trouble when using xorg.

2006-09-06 07:40  sebastid

	* EAPI

2006-09-06 07:09  sebastid

	* Remove unused variables.

2006-09-05 18:50  kwo

	* Enable setting alpha threshold used when rendering masks (was
	  fixed 128).

2006-09-02 11:08  raster

	* fix x detect

2006-07-17 00:32  onefang

	* .cvsignore++

2006-06-28 07:20  raster

	* remove openembedde pkg info - old and dead

2006-06-27 15:10  kaethorn

	* Fix some dependency issues regarding xlibs-dev.

2006-06-11 22:37  raster

	* fix blah-config includes

2006-06-11 10:23  raster

	* 1. autofoot patches.
	  2. fix maximize to work again. :)

2006-05-28 00:05  raster

	* if u run out of memory - actually free stuff

2006-05-20 13:59  kwo

	* Fix pixmap and gc caching when rendering to drawables with
	  different depths.

2006-05-20 10:43  kwo

	* Enable grabbing of ARGB drawables.

2006-05-18 21:37  kwo

	* Remove effectively unused actual_depth variable.

2006-05-18 20:59  kwo

	* Add some options:
	  -id <drawable> to grab other than root window.
	  -w/width set output image width.
	  -h/height set output image height.
	  -noshape do not use window shape.
	  -help show usage.
	  -v show info about the grabbed drawable.

2006-05-18 19:23  kwo

	* imlib_copy_drawable_to_image() and
	  imlib_create_image_from_drawable():
	  - When mask is set to (Pixmap)1 (and the context drawable is a
	  window)
	  the window shape is used for image alpha.
	  
	  imlib_create_image_from_drawable() and
	  imlib_create_scaled_image_from_drawable():
	  - Set image F_HAS_ALPHA alpha flag according to whether or not
	  useful image
	  alpha data was generated.

2006-05-18 17:36  kwo

	* Trivial warning fixes.

2006-04-18 09:38  benr

	* Solaris workarounds.

2006-04-14 00:24  horms

	* The section of a library's -dev package is generally libdevel

2006-04-14 00:17  horms

	* Need not depend on libc6-dev | libc-dev as it is in
	  build-essential

2006-04-09 08:12  kwo

	* Patch from Dmitry Antipov:
	  - Visibility hiding
	  - Move common asm macros to asm.h
	  - Fix some typos.

2006-04-09 07:52  kwo

	* libImlib2.so minor number should have been bumped. Bad raster :)

2006-04-02 07:38  horms

	* Save and restore autogenerated changelog when debian/rule's clean
	  target runs. Otherwise the following breaks because make
	  distclean
	  removes autogenerated files, but debian/rules expects the
	  changelog
	  to always be there:
	  
	  fakeroot ./debian/rules clean ; ./debian/rules build
	  
	  Note that this does not fix packages who are handled by cdbs,
	  that will need to be fixed separately

2006-03-29 08:00  raster

	* cvs is back up.. time for some asparagus!

2006-03-22 02:08  raster

	* bmp fixes

2006-03-19 08:46  raster

	* fix bmp loader advances

2006-03-18 13:49  raster

	* 1.2.2 of imlib2 - for kwo :)

2006-03-17 09:18  raster

	* asparagus!!!
	  
	  btw - xtasi - i hope u read cvs commits.... when u play with
	  stuff - make
	  sure the thing passes make dist and make distcheck!!!! i'm having
	  to fix waay
	  too much of that.

2006-03-17 09:18  raster

	* asparagus!!!
	  
	  btw - xtasi - i hope u read cvs commits.... when u play with
	  stuff - make
	  sure the thing passes make dist and make distcheck!!!! i'm having
	  to fix waay
	  too much of that.

2006-03-17 08:47  raster

	* fix tiff off-by-1 pixel

2006-03-07 01:07  quan74

	* make dist pkgs build again

2006-02-10 00:01  vapier

	* move imlib_hash_size up in the code so we dont have to declare a
	  prototype for internal usage

2006-02-10 00:01  vapier

	* only declare do_mmx when it is needed

2006-01-13 21:27  kwo

	* Fix colormap when grabbing 8 bit depth pixmaps.

2006-01-12 05:43  raster

	* big fat asparagus!

2006-01-07 11:30  horms

	* fix typos

2006-01-06 15:39  raster

	* tiff patch - simon

2005-12-31 00:58  kwo

	* Another attempt to fix rendering of certain(?) fonts.

2005-12-30 02:50  vapier

	* fix whitespace

2005-12-27 22:36  kwo

	* Avoid useless graphics exposure events from
	  imlib_create_scaled_image_from_drawable().

2005-12-02 05:56  raster

	* already in AUTHORS :)

2005-12-01 07:51  raster

	* oops - typo. fix. works now.

2005-12-01 07:46  raster

	* tiff loader fix

2005-12-01 06:44  raster

	* bmp loader in cvs

2005-12-01 06:44  raster

	* bmp loader in cvs

2005-11-09 02:51  raster

	* movdqa -> movdqu where appropriate

2005-11-04 09:43  sebastid

	* Build fix.

2005-11-04 08:45  sebastid

	* Remove excessive strlen usage.

2005-10-30 05:33  raster

	* another amd64 name

2005-10-29 02:43  vapier

	* touchup help output

2005-10-13 00:09  vapier

	* make sure people know the mmx support is 32bit only so it isnt
	  for amd64

2005-10-12 03:17  raster

	* imlib2 cross-endianess fix from Geoffrey Giesemann

2005-10-09 04:22  raster

	* asparagus - again. lots fo leak fixes and other fixes have been
	  happening, so
	  i think an asparagus is a good idea - sorry package config
	  people. :)

2005-10-06 08:47  raster

	* asparagus. and make distcheck passes again.

2005-10-06 02:17  vapier

	* as pointed out by Quan, we need asm_loadimmq.S in EXTRA_DIST

2005-10-04 22:54  vapier

	* only use GNU stack markings when generating ELF objects

2005-10-04 22:53  vapier

	* asm_loadimmq.S is included by other files, it isnt supposed to be
	  compiled by itself

2005-10-03 02:29  raster

	* after some quiet on the western front - asparagus.

2005-09-29 07:50  vapier

	* add a new helper macro by Tres Melton: IS_ALIGNED_128

2005-09-29 07:47  vapier

	* fix by Tres Melton to address 64bit errors: dont cast pointers as
	  ints, cast them as longs

2005-09-25 05:45  raster

	* asparagus!

2005-09-20 17:28  sebastid

	* Remove unused variables.
	  Remove signedness warning.
	  Print pointers with %p

2005-09-20 17:22  sebastid

	* Remove unused variables.

2005-09-20 17:22  sebastid

	* Add paranthesis to clean up.

2005-09-20 16:56  sebastid

	* MIN and MAX is defined in common.h

2005-09-20 12:44  raster

	* a bit of asparagus action for shits & giggles

2005-09-20 08:49  raster

	* include math! and stuff.

2005-09-08 21:04  mej

	* Thu Sep 8 17:12:14 2005 Michael Jennings (mej)
	  
	  Build fixes.
	  ----------------------------------------------------------------------

2005-09-07 22:54  vapier

	* touchup amd64/x86 asm handling, unify all the autodetection
	  warnings, make gif support configurable, and default to giflib
	  instead of old libungif

2005-09-07 04:28  vapier

	* allow user to control tiff/zlib/bzip2/id3 support

2005-09-07 04:17  vapier

	* sneak in a hack to remove CXX/F77 checks to improved configure
	  speed

2005-09-07 04:16  vapier

	* allow users to control whether jpeg/png support

2005-09-07 04:03  vapier

	* cleanup x86/amd64 autofoo output

2005-09-04 20:22  sebastid

	* Check for .dll extension on cygwin

2005-09-04 19:05  sebastid

	* * Add X headers if needed
	  * Formatting

2005-09-03 20:58  vapier

	* fix for cygwin building (and anyone else who doesnt define
	  RTLD_LOCAL)

2005-09-03 03:55  sebastid

	* If the version from config has something after x.y.z, drop it.

2005-09-01 20:45  mej

	* Thu Sep 1 16:53:13 2005 Michael Jennings (mej)
	  
	  Build and cvsignore fixes.
	  ----------------------------------------------------------------------

2005-08-24 16:06  sebastid

	* Silence.

2005-08-24 16:03  sebastid

	* Silence

2005-08-24 15:47  sebastid

	* sssh

2005-08-24 00:02  raster

	* id3 .spec additions

2005-08-23 16:20  sebastid

	* Add asm_loadimmq.S to dist.

2005-08-22 11:06  raster

	* amd64 alignment fix

2005-08-22 09:55  andyetitmoves

	* Removed some compiler warnings issued by gcc-4.0.1 on issues
	  of signedness in comparison.

2005-08-22 09:50  andyetitmoves

	* Added documentation for tag id3-link-url
	  Made the section on performance issues a bit clearer

2005-08-17 22:42  vapier

	* fix typo in IMMQ cleanup count as pointed out by Peter Beutner in
	  Gentoo Bug 102519

2005-08-11 18:00  kwo

	* 1) Quit silently if file doesn't exist.
	  2) Don't close if open failed (fixes segv).

2005-08-10 05:11  vapier

	* ignore amd64 objects

2005-08-10 05:10  vapier

	* merge PIC-happy code by PaX/Kevin Quinn/me

2005-08-09 09:11  raster

	* ramkumar's id3 updates

2005-08-07 07:07  vapier

	* make sure the masks are in the .data section like they should be

2005-08-06 20:30  vapier

	* fixes from the PaX guys to make sure we dont have executable
	  stacks

2005-08-05 21:45  vapier

	* fix whitespace

2005-08-03 01:00  vapier

	* add error checking to all autogen scripts

2005-07-31 07:30  raster

	* 2nd asapargus for the weekend :)

2005-07-30 21:31  azundris

	* * update specs

2005-07-30 17:54  kwo

	* Bad fix - Revert.

2005-07-30 06:16  raster

	* apps/e/enlightenment.spec CVS: apps/entice/configure.in
	  apps/entrance/configure.in CVS: libs/ecore/configure.in
	  libs/edb/configure.in
	  libs/embryo/configure.in CVS: libs/emotion/configure.in
	  libs/epeg/configure.in CVS: libs/epsilon/configure.in
	  libs/esmart/configure.in CVS: libs/etox/configure.in
	  libs/evas/configure.in
	  libs/imlib2_loaders/configure.in CVS:
	  ----------------------------------------------------------------------
	  ���������
	  :)

2005-07-29 16:41  kwo

	* Quiet.

2005-07-29 02:23  raster

	* expand tmp image

2005-07-28 04:15  raster

	* this SHOULD fix cross-endianness issues (serve and client not
	  same endianess)
	  ...

2005-07-28 03:25  raster

	* dont modify alpha if img has no alpha

2005-07-28 03:10  raster

	* fix digikam crash

2005-07-24 16:35  kwo

	* Be quiet if the file is rejected because it doesn't have a .mp3
	  extension.

2005-07-23 00:51  technikolor

	* ID3 support is reported as MP3 support, which is confusing and
	  perhaps misleading, updated reporting to be more accurate.

2005-07-22 10:28  raster

	* 1. id3 album cover loader patches
	  2. i reduced list note memory usage by 20% - shoudl work better
	  with malloc
	  as ti is now a power of 2 as well
	  3. optimised evas internals to make use of event freezes to make
	  e17'sw menu
	  popups a LOT snappier
	  4. fixed using last member of list nodes - bad - shoudl use api
	  as this is
	  private stuff really
	  5. added config profile stuff to e17 u can literally maintain
	  multiple
	  config profiles and choose which one at any time etc.

2005-07-13 05:45  raster

	* it's been a while, so it was time for some ASPARAGUS on our
	  plates

2005-06-10 03:59  raster

	* aspara!

2005-06-03 03:18  raster

	* asparagus...
	  make e17 distcheck.

2005-05-20 21:44  vapier

	* we want to search for libX11 not libX (
	  http://bugs.gentoo.org/93300 )

2005-05-18 05:27  raster

	* xpm segv fix

2005-05-07 06:01  raster

	* full asparagus

2005-04-30 07:16  raster

	* asparagus!

2005-04-29 02:10  vapier

	* remove AC_CANONICAL_TARGET and use $host* variables instead of
	  $target* variables since thats how it works

2005-04-26 22:55  vapier

	* allow for setting of env var to prevent running ./configure like
	  the older autogen scripts allowed

2005-04-23 08:39  raster

	* make e17 pass make distcheck....
	  and...
	  ASPARAGUS time...
	  http://enlightenment.freedesktop.org
	  for tarballs
	  
	  :)

2005-04-23 08:27  raster

	* pass make distcheck

2005-04-15 07:00  raster

	* John Slaten's amd64 mmx patch

2005-04-09 00:08  raster

	* amd64 asm patches

2005-04-08 15:55  azundris

	* * wonky versioning.
	  
	  RPM packagers: imlib2 -- libungif-devel vs giflib-devel (SuSE)

2005-03-30 08:00  raster

	* asparagus!

2005-03-28 02:25  raster

	* bettter detect for mmx (same as evas now)

2005-03-26 13:13  tsauerbeck

	* handle bzip2 errors

2005-03-26 13:05  tsauerbeck

	* fix uncompression for the zlib loader

2005-03-26 12:35  tsauerbeck

	* fix uncompression in bzip2 loader2

2005-03-26 12:32  tsauerbeck

	* zlib/bz2 loaders, round 2: look for the real loader using a fake
	  filename (original filename with the bz2/gz suffix cut)

2005-03-26 11:46  tsauerbeck

	* fixed a fd leak and a bad memory access bug

2005-03-26 11:43  tsauerbeck

	* another bug in the bz2 loader: we need to duplicate the original
	  filename so we don't access free'd memory

2005-03-26 11:30  raster

	* no dot!

2005-03-26 06:48  raster

	* bz2 loader fix. thanks julia!

2005-03-22 10:54  raster

	* asparagus time for some of the core efl bits...

2005-03-11 17:05  raster

	* add data filea and test progs to -devel

2005-03-05 04:47  raster

	* touchies!

2005-03-04 12:22  raster

	* fix more

2005-03-03 14:28  raster

	* auto-package imlib2...

2005-03-03 13:38  raster

	* remove files so dirs go away

2005-03-02 21:33  kwo

	* Fix imlib_create_scaled_image_from_drawable for source_y != 0.

2005-03-01 08:13  raster

	* if there is NO x dir.... still link anyway

2005-02-28 05:35  raster

	* 1. e17's init icons get put into an e_box for arrangement nad the
	  init splash
	  determines the location...
	  
	  2. .002 snap

2005-02-23 03:27  raster

	* imlib2 configure.in patch

2005-02-23 03:12  raster

	* DISPLAY_MISSING define from spanky

2005-02-23 03:02  raster

	* lround -> round

2005-02-21 09:35  raster

	* change versions. some went DOWN - because they arent releases and
	  i'm trying
	  to remove the _pre ascii from the version. i added a .001 (a
	  release number)
	  so we can automatically or easiyl generate releases... sorry
	  guys. but it's
	  kind of "for the good of the code". :)

2005-02-13 04:05  raster

	* link modules back to imlib2 in case they are used in a python
	  extension that
	  dlopens imlib2.so....

2005-01-29 20:57  swielinga

	* Made imlib2's tests and demos open the display correctly.

2005-01-29 18:26  swielinga

	* A lot of moving around in imlib2{,loaders} caused lots of
	  unignored files

2005-01-29 18:07  swielinga

	* Things may change sometimes. Let debian cope with it.

2005-01-29 00:22  mej

	* Fri Jan 28 20:26:06 2005 Michael Jennings (mej)
	  
	  This should fixy-fixy x86_64.
	  ----------------------------------------------------------------------

2005-01-24 02:26  mej

	* Sun Jan 23 22:30:28 2005 Michael Jennings (mej)
	  
	  Sssh!
	  ----------------------------------------------------------------------

2005-01-21 04:53  mej

	* Fri Jan 21 00:57:08 2005 Michael Jennings (mej)
	  
	  I'm sick of seeing this crap. :P
	  ----------------------------------------------------------------------

2005-01-19 21:07  mej

	* Wed Jan 19 17:10:29 2005 Michael Jennings (mej)
	  
	  Fix imlib2 and evas spec files to depend on
	  /usr/bin/freetype-config
	  so that they'll build on both RH/Fedora/cAos (freetype-devel) and
	  SuSE
	  (freetype2-devel).
	  ----------------------------------------------------------------------

2005-01-19 12:28  azundris

	* Grrr! : )

2005-01-16 18:23  mej

	* Sun Jan 16 14:27:18 2005 Michael Jennings (mej)
	  
	  raster is the new Minister of Redundancy Minister. Thanks to
	  D. Hageman <dhageman@dracken.com>.
	  ----------------------------------------------------------------------

2005-01-15 07:55  raster

	* dont double guess unicode.. just let it be raw

2005-01-15 04:40  raster

	* url...

2005-01-12 00:25  raster

	* FILL IN @REQUIREMENTS@ IN PC.IN

2005-01-08 07:55  raster

	* make hsv reversible

2005-01-07 00:43  raster

	* bmp patch

2005-01-06 15:28  mej

	* Thu Jan 6 10:27:24 2005 Michael Jennings (mej)
	  
	  Spec file fixes from Jason Williams <jasonw@tulg.org>.
	  ----------------------------------------------------------------------

2005-01-04 14:47  mej

	* Ssssh!

2005-01-04 05:52  mej

	* Copyright -> License

2005-01-04 03:52  mej

	* Ditto.

2005-01-04 03:34  raster

	* no more segv/buffer overflow

2005-01-02 02:37  raster

	* progname... :)

2004-12-27 21:05  raster

	* ditch x headers from those loaders

2004-12-18 22:06  emte

	* Python is too incompetent to parse hyphens

2004-12-17 01:19  emte

	* Added the change for BitBake the Standardized Openembedded Build
	  System

2004-12-14 03:55  raster

	* no x headers.

2004-12-14 03:50  raster

	* we dont need no steenking x headers in the loaders

2004-11-21 17:35  tsauerbeck

	* always print an error message if an image cannot be opened

2004-11-13 00:12  raster

	* bart patch for debian package stuff

2004-11-12 02:24  raster

	* oopsies. fixies

2004-11-12 00:23  raster

	* cleaner configure.in

2004-11-09 09:36  raster

	* openembedded build files... this makes life so easy to build efl
	  for
	  embedded... :)

2004-11-05 07:44  doursse

	* Configuration summary

2004-11-03 09:57  raster

	* oosp accidentally put this in. damn!

2004-11-02 06:19  raster

	* no asflags recurse

2004-11-02 03:30  raster

	* fix install

2004-11-02 03:15  raster

	* ldflags by bye

2004-11-01 09:49  raster

	* get the file list right.

2004-11-01 09:45  raster

	* and new much cleaner tree.

2004-11-01 09:34  raster

	* remooov!

2004-10-22 19:12  tsauerbeck

	* updated Doxyfiles

2004-10-22 02:47  raster

	* buildie cleanies

2004-10-22 00:56  raster

	* bits per smaple! :)

2004-09-26 03:59  azundris

	* * add token entry for LBM loader

2004-09-23 20:42  kwo

	* Fix imlib_create_scaled_image_from_drawable().

2004-09-18 12:31  swielinga

	* Slight update for the debian packaging of imlib2, imlib2_loaders,
	  ecore, edje;
	  more to come later.

2004-09-13 05:38  rbdpngn

	* glibtoolize

2004-09-06 03:28  sleuth

	* .spec version update
	  
	  Kevin Brosius <cobra@compuserve.com>

2004-09-01 00:49  raster

	* fix brian

2004-08-31 03:32  raster

	* up to 1.1.2 - security fixes, some other fixed, ilbm loader

2004-08-30 08:15  raster

	* pallet + transp fix

2004-08-28 21:01  jbickers

	* Added entries for loader_lbm.c.

2004-08-28 20:59  jbickers

	* Fixed start-of-line HAM problem.
	  Added SHAM and CTBL load.
	  Added greyscale load.
	  Added IMLIB2_LBM_NOMASK check to disable masking.
	  Added colour gun scaling, e.g. 4-bit 0x0f scales to 8-bit 0xff,
	  not 0xf0.
	  Changed RLE decompression by scanline instead of by byte.
	  Removed empty save() function altogether as per some other
	  loaders.

2004-08-28 03:34  raster

	* more bmp fixes

2004-08-26 17:26  mej

	* Thu Aug 26 13:25:22 2004 Michael Jennings (mej)
	  
	  BMP loader fix and new ILBM loader from John Bickers
	  <jbickers@ihug.co.nz>.
	  ----------------------------------------------------------------------

2004-08-25 19:54  mej

	* Wed Aug 25 15:53:59 2004 Michael Jennings (mej)
	  
	  Never mind. I did it myself. :)
	  ----------------------------------------------------------------------

2004-07-25 21:50  mej

	* Sun Jul 25 17:45:53 2004 Michael Jennings (mej)
	  
	  Fixed up lots of spec files here. I haven't been able to test the
	  emotion spec file, but hopefully I didn't break anything too
	  terrible. :-)
	  
	  Also fixed an etox problem with the conditional test build.
	  ----------------------------------------------------------------------

2004-07-21 00:43  raster

	* revert... :( breakies

2004-07-20 21:24  mej

	* Tue Jul 20 17:23:57 2004 Michael Jennings (mej)
	  
	  Patch from Matt Hyclak <hyclak@gmail.com> for lib64 support.
	  ----------------------------------------------------------------------

2004-07-07 00:32  dj2

	* - documentation fix: the angle is in radians not degrees

2004-07-06 07:03  raster

	* sorry - mej - you seem to have broken the build on other systems
	  and
	  imlib2-config wasnt being installed - also it was deciding it had
	  to
	  cross-compile and build i686-gnu-linux-imlib2-config etc.
	  files... had to
	  move autogen.sh to this... :(

2004-07-06 04:40  raster

	* build things THIS way... :)

2004-07-02 18:41  mej

	* Fri Jul 2 14:41:17 2004 Michael Jennings (mej)
	  
	  Now builds properly on Vermillion, cAos, and CentOS. Hopefully
	  others
	  too. :-)
	  ----------------------------------------------------------------------

2004-06-26 12:43  swielinga

	* Updated the imlib2 debian packaging.

2004-06-24 06:11  raster

	* autofool cleanups... argh! i hate autofools!

2004-06-16 18:17  doursse

	* Doxygen doc: images

2004-06-16 18:15  doursse

	* Doxygen doc: css and html files

2004-06-16 18:14  doursse

	* Doxygen scripts, description of imlib2

2004-06-16 18:02  doursse

	* Doxygen documentation

2004-06-16 06:17  raster

	* mr gonzales's latest "final" code.

2004-06-15 02:36  raster

	* jose's AA rendering patches are in! :)

2004-06-09 09:07  raster

	* try using advance metrics

2004-05-20 03:34  raster

	* handle files too small to be a valid tga!

2004-05-14 19:08  azundris

	* * spec-file (for RPM)

2004-05-08 14:30  raster

	* --without-x works again

2004-05-08 03:09  raster

	* pc fix

2004-05-04 22:05  kwo

	* Fix grabbing when source x or y is < 0.

2004-04-30 08:53  raster

	* nuke libltdl subdir

2004-04-28 04:28  raster

	* dont return values if void return defined!

2004-04-28 04:24  raster

	* ltdl be gone fromt he src tree! :)

2004-04-27 10:15  raster

	* patches... :)

2004-04-20 07:11  raster

	* kim patchies.. and in authors!@ :)

2004-04-20 07:04  raster

	* roatate from buffer patch

2004-04-18 08:28  raster

	* imlib2_loaders...

2004-04-17 07:56  raster

	* oops filters wrong spot

2004-04-16 05:15  raster

	* distipoos

2004-04-15 11:54  raster

	* fix distcheck

2004-04-15 05:30  xcomputerman

	* Warnings suck

2004-04-15 05:21  raster

	* just .in now - the whole transition is over.

2004-04-15 05:18  raster

	* 1.1.1

2004-04-14 08:24  raster

	* kwo's patch

2004-04-10 02:26  raster

	* actually use cache in 32bpp/24bpp

2004-04-05 02:55  raster

	* kwo imlib2 patch

2004-02-16 03:46  raster

	* Michel Briand <michelbriand@free.fr>
	  mmap tga loader

2004-02-15 10:18  tsauerbeck

	* don't attempt to save an image without image data

2004-02-15 01:58  tsauerbeck

	* fixed a bunch of warnings. reverted last commit.

2004-02-15 01:38  tsauerbeck

	* DirtyPixmapsForImage() is only available when we build with X

2004-02-15 01:36  tsauerbeck

	* Don't call DirtyPixmapsForImage() twice - it's already called by
	  DirtyImage()

2004-02-15 01:30  tsauerbeck

	* fixed some warnings

2004-02-10 18:32  tsauerbeck

	* replaced loader_gzbz2 with loader_zlib and loader_bz2. removed
	  empty save() in some loaders

2004-02-10 18:28  tsauerbeck

	* Imlib2 loaders don't need to ship with both load() _and_ save()
	  anymore

2004-02-09 10:55  raster

	* tga loader fixed. now it works! :)

2004-02-09 01:26  raster

	* no savies! :) <-tilman

2004-02-07 08:44  tsauerbeck

	* im->real_file() is set on load, but it will be overwritten when
	  the file is saved. so free the old contents before overwriting
	  it.

2004-02-01 07:12  raster

	* bugsie! fixed!

2004-01-03 05:58  raster

	* tillman's png interlacing support patch! yum!

2004-01-03 05:42  raster

	* handle error stuff right

2003-12-23 11:41  azundris

	* * assorted fixes for RPM-building

2003-11-13 12:30  swielinga

	* Fixed a couple of debs in e17/libs, added and updated a couple of
	  .cvsignores.

2003-11-07 18:01  tsauerbeck

	* Fixed CFLAGS in pkg-config file

2003-11-07 07:39  raster

	* build without x.........

2003-09-18 02:33  raster

	* -lm

2003-09-10 12:56  raster

	* dont need x11 includes

2003-09-08 01:56  raster

	* update

2003-08-26 13:59  swielinga

	* Updated most of the debian packaging. Everything I have missed is
	  out of date,
	  not important or not working.

2003-08-21 16:21  swielinga

	* Big overhaul of a lot of the debian packages

2003-07-30 02:55  mej

	* Oops. Forgot to nuke that.

2003-07-21 01:49  raster

	* make packages

2003-07-20 04:18  rbdpngn

	* Remove the attempt to link freetype1, use the linking information
	  generated by
	  the configure.in.

2003-07-13 01:43  mej

	* Package names can vary. Besides, if one doesn't know what's
	  needed to
	  build it, one shouldn't be building it. :-)

2003-07-13 01:35  mej

	* Sat Jul 12 21:33:20 EDT 2003
	  (KainX)
	  
	  Up version numbers.

2003-07-13 01:32  raster

	* vrsion -> 1.1.0

2003-07-13 01:24  mej

	* Ignore imlib2.pc since it's auto-generated.

2003-07-13 01:23  mej

	* Gah! New files. :P

2003-07-13 01:09  mej

	* Sat Jul 12 21:06:14 EDT 2003
	  (KainX)
	  
	  Patch from Yuri Hudobin <glassy_ape@users.sourceforge.net>
	  for Freetype2 support.

2003-07-02 14:20  azundris

	* nominal fix for memory leak in font.c (freetype1 font handling),
	  just so
	  we're in a defined state before switching to freetype2. by
	  azundris and atmos.

2003-05-22 23:42  raster

	* better loader... ignore trailing garbage xv puts on the end of an
	  xpm...

2003-05-12 02:54  rbdpngn

	* Got a little over-zealous on the linking of Imlib2, removed the
	  cases that
	  aren't necessary.

2003-05-12 02:38  rbdpngn

	* Explicitly link the modules to Imlib2 for portability to other
	  platforms.
	  (OS X in this case)

2003-05-03 08:56  jeoparde

	* Patch for pkg-config support from Tilman Sauerbeck
	  <tilman@code-monkey.de>.

2003-04-12 12:34  sleuth

	* Minor README update - edb is used by imlib2_loaders.
	  
	  Kevin Brosius <cobra@compuserve.com>

2003-04-04 01:49  mej

	* Thu Apr 3 20:48:27 EST 2003
	  (KainX)
	  
	  Minor Makefile.am tweak which apparently helps portability.

2003-04-03 19:08  mej

	* Thu Apr 3 14:06:53 EST 2003
	  (KainX)
	  
	  Rearranged include directory order to make sure
	  local headers are found before system ones.

2003-03-31 20:23  mej

	* Mon Mar 31 15:20:43 EST 2003
	  (KainX)
	  
	  Finally got around to fixing the build. Having Imlib2 already
	  installed
	  should no longer be necessary to build it.
	  
	  PS: The next person who breaks this will be in for a severe
	  beating.

2003-02-04 22:06  raster

	* tiff compression patch :)

2003-01-24 17:06  azundris

	* various fu for changed evas-API

2002-12-24 13:35  swielinga

	* Raster isn't an 'author(s)'

2002-12-22 15:47  gilbertt

	* ->data was getting leaked, as _tidyup() only free()s data for
	  nodes of type
	  CHAR.

2002-12-22 15:35  gilbertt

	* memory leak busted - valgrind is great.

2002-10-06 18:43  swielinga

	* Readded libltdl/acconfig.h. That should be there.

2002-10-06 18:32  swielinga

	* Removed libltdl directory from imlib2; it's created by
	  libtoolize.

2002-10-06 18:17  swielinga

	* 1. autoheader and automake should also be run in libltdl
	  2. forgot autom4te.cache in .cvsignore

2002-10-06 18:09  swielinga

	* - Fixed building with automake 1.6.3, by adding the 'CCASFLAGS'
	  and 'CCAS'
	  substitutions to configure.ac
	  - Fixed building with autoconf 2.5, by making autogen.sh run
	  aclocal and
	  autoconf also in libltdl. I'm not sure if it is all-right in all
	  cases;
	  please have a look at it.
	  - Added some things to .cvsignore.
	  
	  Question: shouldn't stamp-h.in be removed from libltdl and
	  imlib2_loaders? If
	  it's needed, it will be autogenerated anyway. To my opinion evas1
	  should also
	  be removed from SPLIT, as it isn't used anymore there, comments?

2002-10-06 14:22  swielinga

	* Updated imlib2 debian packaging.
	  It still doesn't configure correctly for me without some changes
	  to autogen.sh
	  and configure.ac; I'll have a look how to fix this correctly.

2002-09-25 09:15  raster

	* todo list.. and even how to do it! :)

2002-06-05 03:29  mej

	* Tue Jun 4 23:29:36 2002 Michael Jennings (mej)
	  
	  Let's try that again, shall we?

2002-06-05 03:01  mej

	* Tue Jun 4 23:00:30 2002 Michael Jennings (mej)
	  
	  Freetype fixes.

2002-05-29 15:58  mej

	* Wed May 29 11:58:32 2002 Michael Jennings (mej)
	  
	  It helps if libtoolize gets a chance to run in . first....

2002-05-29 13:23  mej

	* Wed May 29 09:22:42 2002 Michael Jennings (mej)
	  
	  Merged changes from SPLIT into the main trunk and deleted SPLIT.

2002-04-22 20:24  gilbertt

	* Fix bug in ellipse drawing introduced who knows when by who knows
	  who.
	  
	  The ellipse code is total shit, but at least now it does what it
	  is supposed
	  to.
	  
	  Could someone with the ability do a release at some point? Lots
	  of users
	  have reported problems with bug.

2002-04-22 19:19  gilbertt

	* A bugfix!
	  
	  draw_pixel had an inverted test for clipping and so was always
	  calling the
	  wrong function.
	  
	  Will this fix ever see the light of day? Who knows?! :)

2002-04-19 15:37  cpk

	* Okay, don't use AM_PROG_AS but the workaround, to fix automake
	  issues.

2002-04-18 20:03  cpk

	* Same changes for HEAD ...

2002-04-08 21:49  mej

	* Mon Apr 8 17:47:55 2002 Michael Jennings (mej)
	  
	  Put back configure.in

2002-04-08 21:10  thalma

	* corrected order in autogen.sh, updated to automake 1.5

2002-04-07 20:46  smugg

	* bad bad =)

2002-04-07 20:18  smugg

	* bad bad!

2002-03-17 02:32  atmosphere

	* segfault fix from Dave Weston
	  <dtweston@student.math.uwaterloo.ca>

2002-03-15 00:18  mej

	* Thu Mar 14 19:18:07 2002 Michael Jennings (mej)
	  
	  Debian rules/control updates from ljlane.

2002-02-13 06:28  raster

	* ok ok - pass make disctcheck

2002-02-12 07:07  raster

	* can handle "comment" tag :)

2002-02-02 13:14  gilbertt

	* Fix from Lindholm@aol.com for segvs when tiling images seamlessly
	  (if they
	  are an odd number of pixels in height).

2002-01-15 20:23  mej

	* Tue Jan 15 15:22:06 EST 2002
	  (KainX)
	  
	  Fixed a whole slew of potential buffer overflows, hopefully
	  including
	  the one recently posted to BUGTRAQ.

2001-12-22 07:54  term

	* I should've done this a while back. Sorry about the big number of
	  emails
	  coming. ;)

2001-12-13 05:40  ljlane

	* debhelper 3.0 changeover

2001-12-12 10:56  the_lightman

	* Ok, SirDibos modified the html so as to be more readable, namely,
	  fixed <pre>
	  tags, removed &nbsp; ... just some cleanup ...
	  
	  have fun, Lightman

2001-12-09 05:05  ljlane

	* another missing dependecy
	  imlib2 suggests imlib2-loaders
	  e17 depends on imlib2-loaders

2001-11-09 07:01  ljlane

	* Disable MMX routines. They were already (well, allegedly most of
	  the time)
	  disabled in the official packages for obvious reasons. I'd rather
	  leave
	  them enabled for CVS, but binutils headaches abound.

2001-10-31 21:39  ljlane

	* various stuff

2001-10-25 05:22  mej

	* Oops, forgot to fix configure.ac.

2001-10-24 23:26  mej

	* Minor portability nit to appease the Texan.

2001-10-24 23:22  mej

	* Spec file fixes here too.
	  
	  First of all, Imlib2 *cannot* depend on any loaders, because the
	  loaders themselves depend on Imlib2. Imlib2 can in reality
	  install
	  just fine without any loaders at all, so that's where I removed
	  the
	  dependency. The Right Way to do this, however, may actually be to
	  include some of the basic loaders into the Imlib2 package itself
	  so
	  that the minimal Imlib2 install will at least be able to load
	  *something*.
	  
	  Furthermore, RedHat's basic freetype package contains both
	  freetype 1
	  and freetype 2 support, so I removed that bogus check. I also
	  removed
	  "Requires:" lines that are simply redundant due to shared library
	  dependency detection.

2001-10-20 13:46  gilbertt

	* Fix broken ordering.

2001-10-20 01:46  raster

	* break out if no footer

2001-10-17 00:00  gilbertt

	* foo

2001-10-16 23:58  gilbertt

	* Patch from Brian Lindholm <lindholm@aol.com>
	  
	  Fixes png loader to cope with grayscale pngs, and also cleans up
	  the loader
	  significantly. Many thanks.

2001-10-12 14:50  cpk

	* Well then let's delete the full thing?

2001-10-11 19:08  gilbertt

	* *snicker
	  
	  This works with either automake :)

2001-10-10 22:31  boris

	* You know what I do to fools? I pity them :)

2001-10-10 22:27  raster

	* blum! :)

2001-10-09 19:46  gilbertt

	* No, I didn't mean to get rid of that bit.

2001-10-09 19:31  gilbertt

	* You are required to set `AS' and `ASFLAGS' via `configure.in'.
	  The
	  autoconf macro `AM_PROG_AS' will do this for you. Unless they are
	  already set, it simply sets `AS' to the C compiler and `ASFLAGS'
	  to the
	  C compiler flags.
	  
	  LIES! :)
	  
	  Actually it defaults to "as", not your compiler, and then it
	  gives as the
	  flags it should have given to the C compiler. Anyway, fixed now,
	  and bug
	  reported to the GNU guys :)

2001-10-08 18:45  cpk

	* Lots of sssshhh here ...

2001-10-08 17:04  mej

	* Mon Oct 8 10:00:19 2001 Michael Jennings (mej)
	  
	  Nope, sorry. More people use 1.4. Come up with something that is
	  compatible with 1.4 if changing configure.ac doesn't work, but
	  breaking compatibility with the older automake is not acceptable.

2001-10-08 16:27  gilbertt

	* Once more into the breech.

2001-09-24 21:11  raster

	* working offline... :)

2001-09-10 12:32  cpk

	* And another autoconf update ...

2001-09-07 00:45  raster

	* oooops... fix fix :)

2001-08-30 03:05  raster

	* hmmm now why did this break? hmmmm.... err.,.. hmmm

2001-08-29 09:14  the_lightman

	* Ok, reverting changes for the draw_pixel function. Now
	  Imlib_image_draw_pixel
	  uses Tom's macro (__imlib_draw_set_point and *_clipped) so it's
	  faster and it
	  handles clipping, too.
	  Btw Tom, I choosed not to change the name of the wrap function so
	  that :
	  1) I don't have to change it in doc/index.html ;)
	  2) I think it's a little more in line with Imlib_image_draw_line
	  ...
	  
	  Lightman

2001-08-29 09:10  the_lightman

	* Ok, just tried to compile Imlib2 under Roswell (RH 7.2 beta) and
	  I discovered that
	  it installs freetype 2.0.3 , and so freetype.h (for ftype1) is
	  under
	  /usr/include/freetype1/freetype/freetype.h .
	  As to not have plp complaining imlib2 can't find freetype under
	  rh 7.2 , I patched
	  configure to work with roswell.
	  Lightman

2001-08-28 12:51  the_lightman

	* Alright, changed index.html to document imlib_image_draw_pixel.

2001-08-28 12:50  the_lightman

	* ok, just wrote this little function to do pixel drawing with
	  blending.
	  In fact, I wrote it just for the Bezier drawing function, but I
	  thought it
	  could be useful in other cases too.
	  Have fun, Lightman :)

2001-08-28 12:48  the_lightman

	* added nick. nothing important. :)

2001-08-26 21:20  gilbertt

	* bad logic there tom

2001-08-25 01:01  gilbertt

	* fixed filled ellipses - note, this isn't the cleanest fix in the
	  world.
	  
	  set_cliprect(0,0,0,0) is supposed to disable clipping, but the
	  calls in
	  api.c subtract one from maxx and maxy, so that breaks some of the
	  logic that
	  checked for the need to clip. This is a temporary fix, but it
	  does work.
	  
	  That "whether to clip or not" logic needs a rewrite, but I'm real
	  tired.

2001-08-18 02:49  raster

	* hmm - fix segv with x font support

2001-08-17 00:17  raster

	* aha! oops :)

2001-08-16 16:10  shamgar

	* Changed --with-freetype to --with-ttf to make it consistant with
	  the other
	  modules.

2001-08-16 09:48  raster

	* db loader out of imlib2...

2001-08-13 23:24  raster

	* ooooh that would leak if we added the same path all the time...
	  which shoudl
	  be ignored... :)

2001-08-13 18:16  gilbertt

	* Expunged all the raw_file stuff and fixed a warning.

2001-08-13 13:38  raster

	* oops.. free pointers that might be null.. checdk for that first!

2001-08-13 08:29  gilbertt

	* another one

2001-08-13 07:48  raster

	* oops developer debug info wrong.. fix

2001-08-12 23:19  gilbertt

	* that doesn't actually do anything different

2001-08-12 22:57  raster

	* double up modified date checks... incase of colon

2001-08-12 14:35  gilbertt

	* ewps!

2001-08-12 13:47  gilbertt

	* sorry, debugging stuff

2001-08-12 13:45  gilbertt

	* er no

2001-08-12 13:45  gilbertt

	* safer

2001-08-12 13:41  gilbertt

	* This is what I meant.
	  
	  I have tested:
	  
	  feh test:image.jpg WORKS
	  imlib2_view e/data/icons/image/png.db:/icon/clicked WORKS
	  
	  I have tested saving with geist too and that works.
	  
	  The patch is bigger than it would have been because I had to
	  revert some of
	  raster's attempt. There is more debris left over (unused
	  functions and
	  params etc) but I won't clean all that out until people have
	  checked out
	  this and are happy.
	  
	  I might make something like imlib_get_real_filename available in
	  the public
	  API. So that apps (like feh) that use stat() that do their own
	  error checking
	  can also do the right thing, but this is a separate issue and not
	  totally
	  necessary.

2001-08-11 03:33  raster

	* alright - comprimise. theres a
	  imlib_context_set_filename_raw_mode()
	  call now - if you want to deal with filenames and not have them
	  interpreted
	  use this and set it to 1.

2001-08-11 00:47  gilbertt

	* warnings suck

2001-08-10 20:34  mej

	* Fri Aug 10 13:33:13 PDT 2001
	  (KainX)
	  
	  None of the libraries are now absolute requirements. Everything
	  that
	  requires external support which Imlib2 itself doesn't
	  specifically
	  need can now be optionally built.

2001-08-10 09:05  raster

	* oops - chekc for keys and real files first

2001-08-10 08:35  raster

	* virtualize real file and key splitting nicely into image data
	  struct.
	  now we escpae literal colons with double colons. it's documented
	  too. (this
	  was easier to do as i also have to do it for ssving files and you
	  cant stat
	  to see if a file exisit fi you havent saved it yet)

2001-07-28 00:53  raster

	* beat me silly. i forgot to allocate the memory... :) yay.. fixed
	  :)

2001-07-01 02:42  raster

	* and add author...

2001-07-01 02:41  raster

	* add mark's patch

2001-06-19 03:01  raster

	* bmtext dithers....
	  filters work.. :)

2001-05-11 07:22  raster

	* add a color clearer too

2001-05-11 07:14  raster

	* in cvs :) clear function :)

2001-05-09 06:15  raster

	* add :)

2001-05-09 01:57  raster

	* add then :)

2001-05-08 20:29  raster

	* franz's patches to support other color spaces :)

2001-05-06 01:22  horms

	* flum

2001-05-02 17:40  raster

	* imconvert.c added to tarball

2001-04-29 05:58  raster

	* up to 1.0.3

2001-04-29 02:55  raster

	* oooooooooooooooops
	  fix fix fix bug bug :)

2001-04-16 19:10  raster

	* oops - widht & height 1 grad get div by 0 .. fix fix fix :)

2001-04-11 19:27  raster

	* carsten's context stack patch... with a default context entry
	  too.. :)

2001-03-17 10:19  ljlane

	* clean up for build

2001-03-07 14:14  ljlane

	* cleanup source names

2001-03-04 08:40  mej

	* Fix error building with dmalloc support.

2001-03-04 04:33  raster

	* oops and a leak in the png loader.. and fix a potential leak in
	  the jpeg
	  saver for when things go awry.

2001-03-04 04:17  raster

	* errr oops - aleak.. fix fix fix :)

2001-03-03 22:32  gilbertt

	* fix memory leak

2001-03-02 18:58  raster

	* sorry - debain dir breaks build. removed form configure and
	  makefile... also
	  up to 1.0.2

2001-02-28 19:48  gilbertt

	* Adam's font fixer-upper patch :)

2001-02-25 11:31  richlowe

	* Please Miss, I need -lm too.

2001-02-20 05:58  raster

	* add adam to AUTHORS

2001-02-20 05:57  raster

	* adam's patches... :)

2001-02-17 22:06  raster

	* found it!!!! :)

2001-02-17 21:30  raster

	* and then he found some minor bugs in file examination... and then
	  they were
	  fixed. :)

2001-02-14 18:28  horms

	* Debian packages may now be built from output of make dist and
	  friends

2001-02-14 18:26  horms

	* Debian packages may now be built from output of make dist and
	  friends

2001-02-13 23:47  raster

	* oops - hard coded op - fixed that :)

2001-02-12 18:54  raster

	* fix blend mode for alpha dest when drawing text

2001-01-27 21:59  stauff

	* First preview of gzip & bzip2 loaders

2001-01-26 03:29  raster

	* ewwwww - fix infinte loop bug... :)

2001-01-24 05:06  raster

	* errrr?

2001-01-24 01:47  raster

	* on a stick!

2001-01-24 01:01  raster

	* possible infinite loop in cache code.. fix.

2001-01-23 23:52  raster

	* how the HELL did that 8 get there and things still compile?

2001-01-20 11:41  stauff

	* General cleanup of EMX things

2001-01-20 06:55  mandrake

	* hush cvs

2001-01-20 06:53  mandrake

	* Er, this was just blatantly and obviously wrong.
	  fixed.

2001-01-18 00:07  raster

	* use 128x128 dither mask for rgb666 (in 8bpp) rendering

2001-01-17 21:31  raster

	* minor fixup if last char in string has 0 boundingbox width :)

2001-01-14 19:43  stauff

	* OS/2 binary open fix, I think in UNIX we can safely use
	  "O_BINARY" too

2001-01-13 07:40  raster

	* patch from matt

2001-01-11 22:49  stauff

	* Ooops.. corrected os/2 cvs to use UNIX-style files

2001-01-11 22:47  stauff

	* OS/2 fixes

2001-01-11 22:43  raster

	* fix minor segv in gradient rendering if your color range has
	  err... no colors

2001-01-07 22:02  raster

	* * up version to 1.0.1 - will do minor release real soon.
	  * fix build so loaders build if u have no imlib2 installed
	  * fix requires and buildrequires in spec file for freetype & edb
	  to be correct

2001-01-06 20:09  mej

	* So fix it, don't just get rid of it. =P

2001-01-06 19:57  mandrake

	* this doesn't work at all.
	  libtool: link: `-L../src' cannot specify a relative directory

2001-01-06 08:41  muhri

	* Made png.so and jpeg.so link against Imlib2 when building, this
	  makes the perl
	  bindings problem with undefined symbols for __imlib_GetTag
	  disappear since those
	  two loaders call that function to determine some image flags when
	  saving.
	  Kick me in the butt if I am not supposed to do that but KainX
	  said I should.
	  The differance in .so size is minimal, 30 bytes for png.so and 20
	  bytes for jpeg.so.

2001-01-04 21:09  raster

	* x fonts blend again now.... and colro correctly too :)

2001-01-04 01:46  raster

	* attempt to fix xfd font transparency....... ??? :)

2001-01-03 21:42  tillsan

	* ok, fix for the ascii ppm formats. They seemed to have the same
	  problem.
	  This should be it now, provided the save in ppm format works as
	  expected
	  which it seems to do from geist at least.

2001-01-03 21:23  tillsan

	* fix for the other binary versions in the pnm_loader. Could
	  someone please
	  check if the ascii ones work right? I didnt test them. and test
	  the binary
	  formats too while youre at it. Thanks :)

2001-01-02 23:09  raster

	* errr - clean clean.. fix color pixle caclfor 8bpp and 8bpp non
	  dithered had
	  a.. er... bug :)

2001-01-01 11:52  tillsan

	* small fix for the pnm loader. It didnt display the last two lines
	  of a file.
	  Ive only corrected the 24bit RGB one. Ill do the others if raster
	  doesnt
	  have a more elegant fix for this :).

2000-12-28 06:45  term

	* Added imconvert, which stems from a conversation with raster
	  about
	  importing/exporting binary data (specifically imlib images from
	  edb files,
	  like the ebits files). This allows the user to export and import
	  image
	  data in and out of edb files, as well as arbitrary conversions to
	  and from
	  any format Imlib2 can handle.

2000-12-28 03:54  raster

	* err commit?

2000-12-24 15:41  ljlane

	* minor update

2000-12-15 00:03  raster

	* oops - fix soem ascent & descent problems

2000-12-12 21:07  raster

	* masa's internationalization + x font support for imlib2 :)

2000-12-02 18:57  gilbertt

	* dunno why there were two of those

2000-11-17 17:07  mej

	* Fix make distcheck.

2000-11-17 00:37  mej

	* Imlib2 now benefits from the same MMX goop that Eterm has. :)

2000-11-13 18:44  ljlane

	* update rules for cvs builds (autogen.sh)

2000-11-13 18:26  ljlane

	* synch with current woody packages

2000-11-11 00:18  raster

	* os/2 fixes :)

2000-11-11 00:08  raster

	* bigendianess patch from nathan

2000-11-07 20:12  raster

	* more paranoid abotu allocating memory with realloc

2000-11-01 21:22  gilbertt

	* let's not have a coredumping example app ;-)

2000-10-30 00:58  gilbertt

	* jpeg and png should do the right thing with quality _or_
	  compression now

2000-10-29 23:55  raster

	* patch for grabbing form ximage's - plug dont segv when u set the
	  format to
	  NULL.

2000-10-29 00:31  gilbertt

	* png loader now pays head to images "quality" tag, just like the
	  jpeg loader.
	  Now, the png lib takes values 1-9 for compression. I decided to
	  standardise
	  loaders on a 1-100 quality value, and do some sums in the loader
	  to convert
	  to 1-9 compression. That was you can set quality and not care
	  what file
	  format is used. Sound reasonable?

2000-10-25 01:48  gilbertt

	* SHUT UP!

2000-10-21 21:47  raster

	* pnm loader more paranoid about pnm format checks

2000-10-14 08:36  term

	* Blah. Isn't it great how things like "check the other packages in
	  the spec
	  file" occur to you RIGHT after you do a commit? I love being up
	  late. :)

2000-10-14 08:35  term

	* Based on a suggestion from Richard Lowe
	  <richlowe@btinternet.com>, and
	  partially from a patch from him, updated README to include the
	  dependancies. Also added a few more to imlib2.spec.in (libjpeg,
	  libpng,
	  edb).

2000-10-13 04:31  raster

	* off by one may have been causing segv's ? :)

2000-10-13 00:56  raster

	* filter docs :)

2000-10-13 00:11  raster

	* --without-x patch from steve

2000-10-13 00:06  raster

	* fix a small segv problem with pollies! :)

2000-10-12 23:51  raster

	* no more ellipse segv's :)

2000-10-12 16:50  raster

	* clip rect fix

2000-10-12 00:26  raster

	* polygons now........ don't anti-alias anymore.. will be fixed..
	  BUT
	  
	  they handle convex, concave, clip and are all happy little poly's

2000-10-09 14:49  gilbertt

	* EEeeeeek. Segv.

2000-10-09 13:37  gilbertt

	* Better fix.

2000-10-09 13:32  gilbertt

	* Fix for _polygon_get_bounds.

2000-09-30 12:41  term

	* Cleanup the spec file a bunch with a patch from
	  Joakim Bodin <bodin@dreamhosted.com>. Changed a few things in to
	  make it
	  happy to build in rpm < 3.0.5, and a few other minor tweaks.

2000-09-25 20:18  raster

	* cflags -> cppflags

2000-09-25 07:29  term

	* Add --with-edb=DIR argument (by request).
	  
	  It appears to work; be sure to let me know if it doesn't. ;)

2000-09-23 15:06  raster

	* extar -> extra

2000-09-22 23:51  raster

	* oops fix that

2000-09-20 06:47  raster

	* add dat

2000-09-19 16:24  raster

	* paparnoid lseeks & fseeks in tiff loader due to bsd bugginess :)

2000-09-19 16:11  raster

	* work under bigendian again

2000-09-18 01:34  raster

	* fix masks over network

2000-09-17 22:32  raster

	* free image? dirty the pixmaps that belong to it and set image
	  pointer to null

2000-09-17 17:22  raster

	* fix pixmap caching...... :)

2000-09-17 13:23  gilbertt

	* not quite there yet

2000-09-17 05:07  raster

	* fix that! that aint static! (__imlib_dynamic_filters_init that
	  is)

2000-09-17 03:07  gilbertt

	* quick warning hunt

2000-09-17 02:26  gilbertt

	* nm I fixed it anyway

2000-09-17 01:57  gilbertt

	* Commiting what I have so far. More to do tomorrow, but it's 3am.
	  
	  Polygons are now filled with antialiasing, if context_antialias
	  is set.
	  
	  So are ellipses.
	  
	  I fixed some clipping bugs.
	  
	  There is a bug with the AA span though, it's just a little one,
	  but I'm too
	  tired to find it now. You will see it if you look closely at the
	  top of the
	  filled ellipse in test/imlib2, using xmag or something.
	  
	  I'll fix that tomorrow, speed things up a bit, and hopefully
	  implement AA
	  drawing for ellipse outlines. Oh, I'll unroll some more loops
	  too.
	  
	  raster: your last commit broke the two test apps. a segv in
	  _RGBA_init()
	  somewhere, I know it's not my new code, as I tried a fresh
	  checkout and it
	  did the same thing. I don't have time to check it out tonight
	  though.

2000-09-16 18:16  raster

	* unrolled span rendering a little more (switch stamement is now
	  just once
	  per span 0 thats good enough.... :) )

2000-09-16 00:38  gilbertt

	* more inlining

2000-09-16 00:09  gilbertt

	* Use spans and the span list clipper to do filled ellipses too.
	  Much better.

2000-09-15 23:52  raster

	* no prointf!

2000-09-15 23:47  raster

	* handle lower depths :)

2000-09-15 23:24  gilbertt

	* shuddup

2000-09-15 23:22  gilbertt

	* Lots of changes. Macro-ised the point_on_segment code.
	  
	  Implemented a span-list clipper.
	  
	  Inlined the drawing code for span().
	  
	  Cleaned up and speeded up a couple of drawing funcs.
	  
	  Polygons filled much faster now. More to do though.

2000-09-15 18:21  raster

	* 666 colorcube rendering works....... :)

2000-09-15 14:34  raster

	* fix visual picker :)

2000-09-14 19:08  mej

	* Son of a raster! I think I just found the memory leak. I shall
	  now hide
	  in shame. Perhaps giblet should take over Eterm development.

2000-09-14 06:37  term

	* Bored. Reading. Typo. Commit. Sleep.

2000-09-14 05:42  term

	* Cleaned up/partially rewrote README. Basically updated for the
	  1.0
	  release.

2000-09-13 21:40  term

	* More typos (but in raster's defense, he's spelling checking every
	  so
	  often. ;)

2000-09-13 17:00  raster

	* add call to get text inset for string

2000-09-13 16:20  raster

	* add docs..... and prefix is /usr for rpms damnit! :)

2000-09-13 15:52  raster

	* add api call to get text string advances........

2000-09-13 15:09  raster

	* ok- lyly can have his changelog back.. ugly - eats space with
	  nothing useful
	  :) - thats what cvs is for... :)

2000-09-13 14:04  raster

	* missing some load data checks for some routines... fix fix fix

2000-09-13 05:40  raster

	* dont NEED those dependancies

2000-09-13 04:18  raster

	* ewwwwwwwwwwwwps! scaling blending buggy! fix fix fix fix :)
	  GOTCHA!

2000-09-12 23:22  raster

	* we can add them back in... conditions put elzewhere

2000-09-12 23:22  raster

	* and make them build.......... PROPERLY!

2000-09-12 21:44  raster

	* add makefile for docs

2000-09-12 21:42  raster

	* docs get built......... :)

2000-09-12 21:33  raster

	* oops - fix that

2000-09-12 21:25  gilbertt

	* update my email addy

2000-09-12 21:13  raster

	* fix requires to be more accurate

2000-09-12 21:11  raster

	* up version number.. tentative for a 1.0 release...
	  revamp rpm packages completely. split loaders into their own
	  packages
	  (more logical units). main imlib2 requires the jpeg, png and db
	  laoders
	  at a minimum

2000-09-12 20:05  gilbertt

	* more docs

2000-09-12 19:30  raster

	* only build loaders if headres/libs are found - chheck for libs
	  and note them
	  minimum requirements are jpeg, png and db loaders.

2000-09-12 08:24  raster

	* add willems docs to the docs ........... :)

2000-09-12 05:46  raster

	* and enable the fast path again

2000-09-12 05:34  raster

	* added generic slow-path rendering code

2000-09-12 00:11  raster

	* doc looking much better

2000-09-12 00:08  raster

	* simple commented demo

2000-09-11 20:01  raster

	* fix big endian code :)

2000-09-09 19:42  raster

	* wooo! found bug in filename:key splitting.... fix fix fix... :)

2000-09-09 02:33  raster

	* dont need -ldb anymore

2000-09-08 18:39  raster

	* add docs to cvs

2000-09-08 17:23  gilbertt

	* final fix for _list_fonts()

2000-09-08 15:05  gilbertt

	* Much faster clipped ellipse filling.

2000-09-08 14:47  gilbertt

	* Much faster polygon clipping, made span() more sensible.
	  
	  Added the function:
	  unsigned char imlib_polygon_contains_point(ImlibPolygon poly, int
	  x,
	  int y);
	  
	  Tells you if a point lies in a polygon. Handy for apps that might
	  want to
	  test for "selection" of a polygon shape or something...

2000-09-05 01:48  raster

	* no debugging printf

2000-09-05 01:25  raster

	* db loader/saver needs edb now - much better! :)

2000-09-04 17:02  gilbertt

	* tidy up

2000-09-04 15:56  gilbertt

	* slight speedup

2000-09-03 22:43  gilbertt

	* killed a rounding error in line clipping

2000-09-03 19:31  gilbertt

	* imlib_image_fill_ellipse()

2000-09-03 19:14  gilbertt

	* Better API, simpler polygon struct. imlib_polygon_new() now, no
	  type member.
	  Then _draw_polygon(polygon, unsigned int closed), and
	  _fill_polygon(poly).

2000-09-03 18:04  gilbertt

	* Polygon filling. Right now only works for convex polygons. Works
	  with a
	  clipping rect, but highly suboptimally (I'm not doing proper
	  polygon
	  clipping here yet, just clipping slowly on each point drawn -
	  really nasty).
	  
	  There are probably some rounding errors in here. I need to work
	  more on
	  this, but I have *so* little time for the next few weeks.
	  
	  Please don't kill me for this code. It's not finished, but I'm
	  about to move
	  house, and I have to get something working before I pack my PC
	  away.

2000-09-02 07:28  raster

	* get rid of comment

2000-09-02 07:27  raster

	* foudn bug in mmx asm blending.. 1 line hihg blends get skipped..
	  fix! :)
	  (ugly fix tho)

2000-08-31 22:49  gilbertt

	* imlib_image_draw_ellipse()
	  
	  Check test/imlib2 for example. Clipped too.
	  
	  TODO: Not antialiased. yet. point drawing needs to be inlined, or
	  something.

2000-08-31 19:02  raster

	* possible crash fixed

2000-08-31 05:01  term

	* First commit. Woohoo!
	  
	  Fixed the spec file to include imlib2-config.

2000-08-30 21:57  gilbertt

	* Added function to calculate bounds of a polygon.

2000-08-30 19:52  gilbertt

	* Polygons. Not filled ones yet =P Empty ones are easier ;-)
	  
	  Hard to come up with a nice API for this, but here's what I have:
	  
	  ImlibPolygon imlib_polygon_new(int type);
	  void imlib_polygon_free(ImlibPolygon poly);
	  void imlib_polygon_add_point(ImlibPolygon poly, int x, int y);
	  void imlib_image_draw_polygon(ImlibPolygon poly);
	  
	  Clipping works with these, as demonstrated by test/imlib2
	  
	  The type paramter may be: POLY_OPEN, POLY_CLOSED or POLY_FILLED
	  (last one
	  not implemented yet).
	  
	  I was wondering if draw_polygon should genererate updates, like
	  draw_line.
	  
	  Thoughts?

2000-08-30 18:26  gilbertt

	* Scratch that. Start again.
	  
	  Removed all the _clipped functions.
	  
	  Added imlib_context_set_cliprect(int x, int y, int w, int h) and
	  a
	  corresponding _get_cliprect.
	  
	  Set width to 0 to disable clipping (default).
	  
	  Just use the normal _draw_ functions and it'll do the Right
	  thing.

2000-08-30 16:57  gilbertt

	* The line clipping function is quite useful, so I made it public.
	  Sometimes it's handy to work out where your line was/would be
	  drawn.
	  
	  int
	  imlib_clip_line(int x0, int y0, int x1, int y1, int xmin, int
	  xmax, int ymin,
	  int ymax, int *clip_x0, int *clip_y0, int *clip_x1,
	  int *clip_y1);

2000-08-30 16:39  gilbertt

	* Added rectangle clipping, in the form:
	  
	  void
	  imlib_image_draw_rectangle_clipped(int x, int y, int width, int
	  height,
	  int clip_xmin, int clip_xmax, int clip_ymin,
	  int clip_ymax);
	  
	  Works well. If you make install then cd test, make, ./imlib2,
	  you'll see the
	  demo/test of the clipping code.
	  
	  Next up: draw_polygon and draw_polygon_clipped.
	  
	  Then (eeek) fill_polygon, fill_polygon_clipped, and some clipping
	  for image
	  blending (fun).

2000-08-30 01:34  raster

	* noticed there was a set filter but no get.. addded

2000-08-29 22:29  raster

	* api call was silly - changed it :)

2000-08-29 21:09  gilbertt

	* Added line drawing with clipping.
	  
	  Same as _draw_line but with extra parameters for the clipping
	  region.
	  
	  Tested and seems to work well. Will check further tomorrow when I
	  convert
	  geist to use this instead of doing it internally.
	  
	  Imlib_Updates
	  imlib_image_draw_line_clipped(int x1, int y1, int x2, int y2,
	  int clip_xmin, int clip_xmax, int clip_ymin,
	  int clip_ymax, char make_updates);

2000-08-23 05:02  mej

	* Miscellaneous fixes I ran across while doing the colormod stuff.
	  One of
	  which fixes a seg fault bug.

2000-08-23 01:18  raster

	* try that

2000-08-23 00:20  gilbertt

	* Urm. oops. hehe :)
	  
	  Reversed that change, as it caused segfaults in free().
	  
	  I can't grok this code, so I'll leave it to raster.
	  
	  Basically, if my code calls imlib_free_image_and_decache(), it
	  doesn't free
	  the image, and it leaks.
	  
	  The fix I applied made sure _Imlib_ConsumeImage was called, but
	  this caused
	  a segfault.
	  
	  *baffle

2000-08-23 00:11  gilbertt

	* Okay. imlib_free_image_and_decache() was leaking images. I hope I
	  made the
	  right fix here. Basically, the imlib_free_image_and_decache()
	  call in api.c
	  sets the flag F_INVALID then calls the internal
	  __ImlibFreeImage(), this
	  checks if the flag F_UNCACHEABLE is set, and only frees it if so.
	  
	  So the image never got free()d. I have changed the
	  imlib_free_image_and_decache() to set the F_UNCACHEABLE flag *as
	  well* as
	  F_INVALID. I hope that's the correct fix. raster?

2000-08-22 21:17  raster

	* get rid of that replacement..

2000-08-22 04:28  raster

	* imlib2-config added

2000-08-20 21:54  raster

	* fix static gc for multipel servers

2000-08-10 22:11  raster

	* add 1 more font routine for getting geometry - useful. you'll
	  need to
	  update imlib2 too to get evas to compile & work - it uses this
	  routine

2000-08-09 19:41  gilbertt

	* Don't show duplicates in imlib_list_fonts().

2000-08-07 21:39  gilbertt

	* Fixed imlib_list_fonts()
	  
	  It was calling stat on filenames without paths, so that was
	  failing.

2000-08-06 19:44  raster

	* fix mem leak in lisitng fonts

2000-08-06 19:41  gilbertt

	* fix core on imlib_list_fonts()

2000-07-13 05:04  mej

	* Wed Jul 12 22:20:53 PDT 2000
	  (KainX)
	  
	  It's generally a good idea to increment the reference count when
	  you
	  implement reference counting. This should fix the mysterious
	  problems
	  people have been having with Imlib2 stealing pixmaps out from
	  under
	  Eterm.

2000-07-13 03:45  mej

	* Some silly goose decided that these files should #include
	  Imlib2.h. NONE
	  of them should include Imlib2.h. In fact, nothing in the Imlib2
	  code
	  should, but if it's absolutely necessary, make sure the local one
	  is found
	  before the system-wide one.

2000-06-29 23:56  horms

	* rpm -ta now works on a tarball produced by "make distcheck" and
	  friends

2000-06-25 18:13  gilbertt

	* Willem's rotation patch.

2000-06-25 14:46  cK

	* Bye bye XCF loader. Apparently I stepped on some Gimp people's
	  feet
	  with it, because of licensing issues. I guess I'll be talking to
	  Raster
	  next week what we'll do with the loader. Hope this makes us
	  friends
	  with the Gimp developers again.

2000-06-23 19:34  raster

	* apparently clone doesnt lone EVERYTHING.. now it clones all of it
	  except
	  attached data tags...

2000-06-22 11:22  cK

	* Ahem. Of course the load fails when you can't open the file :o)

2000-06-21 16:36  cK

	* I don't know if the loader has endianness issues
	  (I guess it does), but this should definitely
	  work better.

2000-06-21 14:23  cK

	* An XCF loader. Currently it can handle layers, layer offsets,
	  layer
	  opacity, layer masks, and merging layers in the default mode
	  (simply "looking" through all the layers). The other layer modes
	  are missing right now (I hardly ever use anything other than
	  "Normal"
	  anyway, but that's just me of course).
	  
	  If you load an image as /path/to/file:<layer number> only the
	  specified layer is displayed, at the defined offset in the image.
	  Try this with imlib2_view since it ignores file loading errors.
	  Passing parameters to the loader will have to be handled better
	  (or did I miss someting?) but the loader can basically return
	  layers selectively.

2000-06-15 15:34  raster

	* patch to fix loader to handle non line-feed header pnm's :) and
	  ascii too.

2000-06-12 06:39  raster

	* fix endianess problem with loader

2000-06-06 11:03  boris

	* Argh.

2000-06-06 11:00  boris

	* Be quiet.

2000-06-05 23:59  raster

	* oooooooh look at that.. it now supports compressed image data in
	  the db

2000-06-05 22:28  raster

	* IT WORKS! :)

2000-06-05 18:19  raster

	* shoudl in theory handle locks better....

2000-06-05 03:15  raster

	* loader that loads and saves images from a dbm database.... :)

2000-06-01 16:36  boris

	* Moving over to the new home in the efm module.

2000-05-31 06:23  raster

	* disable others.......

2000-05-31 06:21  raster

	* turn off bump mappign for now..

2000-05-30 23:52  boris

	* New pic. Got bored with the last one =).

2000-05-30 22:10  boris

	* Start of a filter test app, and applied Willem's patch for
	  imlib2. thanks
	  Willem.

2000-05-29 15:46  boris

	* blum.

2000-05-29 15:41  boris

	* blum. fixed "error" on first install type bug in the dox tree.

2000-05-28 16:57  mej

	* It's always a good idea to "make distcheck" before you commit
	  when you add
	  or remove files. :-)
	  
	  I fixed that. I also fixed a bug in filter_test that would have
	  been
	  revealed by the proper warnings flags. So whoever wrote that wins
	  the
	  raster boobie prize for allowing a non-void function to return
	  without a
	  value.
	  
	  I also made the spec file auto-generated.

2000-05-28 16:04  boris

	* blu7m.

2000-05-28 15:33  boris

	* More changes. Still doesn't do anything.

2000-05-28 15:17  boris

	* Ok, some more clean ups to the filter stuff, should have some new
	  filters to
	  play with soon - want to get the stuff correct before I commit
	  some more
	  stuff. dox is the start of dox2 the document viewer based on
	  imlib2. Designed
	  so that the style of the docs is seperate from the contents. Will
	  evolve
	  rapdily over the next week.

2000-05-28 11:17  gilbertt

	* Default x,y to 0 and w, h to image dimensions, so if you don't
	  specify, the
	  filter applies to the whole image.

2000-05-22 17:26  gilbertt

	* SHUT YOUR HOLE CVS BITCH!

2000-05-22 11:41  boris

	* Clean up of code, all macros for filter_param -> real varaible
	  are put in
	  script.h. Changed filters to reflect this change, and actually
	  plan on writing
	  some more macors and filters soon.

2000-05-22 03:25  boris

	* * forgot to mention that i've added an option to test/imlib2
	  -bmp2pt add this too it's command line and it'll bump map to
	  where the
	  cursor is.
	  
	  otherwise you will just get bump mapping from an infinite dist
	  lightsource

2000-05-22 03:23  boris

	* * rewrite of the script parser, basically you can now parser a
	  filter as a
	  variable to another filter as willem requested the other day.
	  eg.
	  filter( var=anotherfilter( var=13,var=30 ), var=blum );
	  
	  youcan have as manylevels of filters as you want.
	  
	  * parser should be quicker, no need to add "NULL" to the end of a
	  imlib_apply_filter() command.
	  
	  * some more funky filters should be added soon, at 4.45am i
	  decided to leave
	  that job till t/m.

2000-05-21 19:20  boris

	* Added Willem patch for the bump map filter, now does proper bump
	  mapping from
	  an infinet light source. Needs to be optimsed further - lookup
	  tables or
	  some such..... thats for another day.

2000-05-21 00:21  boris

	* Gah, turn off debug mode, and comment out necessary blurb...

2000-05-21 00:04  boris

	* * modifed the script engine, instead of three passes i've nobbled
	  it down to
	  one, this means the bump_mapped pr0n will now render a coupla
	  degree's faster
	  (gilbertt this is for you, and those pictures of pabs' mom)
	  * Update Imlib2.h and api.c to reflect changes
	  
	  ps. on the road to the next gen script interpreter

2000-05-20 23:10  boris

	* One fricken character. Freetype 1.2, not 1.1

2000-05-20 23:01  boris

	* * Stuff from term, fixes some rpm build issues with imlib_view

2000-05-20 22:33  boris

	* * Changed some of the methods to stop furutre name conflicts
	  * Added Willems patch for bump mapping -very vey cool, check out
	  test/imllib2
	  * Died due to excess excitement over bump mapping

2000-05-20 17:37  raster

	* bowis's filter stuff... :)

2000-05-19 17:36  raster

	* fix tga loader....... :)

2000-05-19 16:41  raster

	* add headre checking.....

2000-05-19 05:53  raster

	* oosp parse better :)

2000-05-19 05:45  raster

	* got rid of X calls in loader - no XParseColor

2000-05-16 18:17  raster

	* oops - forgot to commit that :)

2000-05-16 02:11  cK

	* 4:31 am. Oh my.

2000-05-16 02:10  cK

	* Raster,
	  
	  here's my humble attempt of an xpm loader, based on Imlib1 code.
	  Seems
	  to work fine on the xpms I found on my box. I'm not sure if the
	  progressive stuff is feasible, though :o) ...

2000-05-15 23:18  raster

	* OS2 pacthes make imlib2 build on os/2 apparently :)

2000-05-15 22:46  raster

	* add tga loader - thanks dan :)

2000-05-14 19:15  raster

	* gawwwwwwwwwd - oops th = h not th = w; :)

2000-05-12 19:15  raster

	* use willems math... :)

2000-05-12 01:19  raster

	* spec file up...

2000-05-12 01:19  raster

	* up to 0.0.5

2000-05-12 01:16  raster

	* blend.c - RGBA destination works -and its optimized.. just a
	  lookup..

2000-05-11 19:24  mandrake

	* heh. not actually using configure option for mmx disabling
	  correctly

2000-05-11 07:25  raster

	* the RIGHT math for RGBA->RGBA ops... :) not optmized at all tho
	  :)

2000-05-09 18:30  raster

	* get rid of unused flsuh func, cleanup rects properly for case of
	  1 rect

2000-05-09 17:26  gilbertt

	* This is weird. I'm sure I added the prototypes for these
	  context_get_*
	  functions to Imlib2.h before... Yet they aren't there.... Hrm...

2000-05-09 07:50  pkj

	* Corrected a typo.

2000-05-08 23:20  raster

	* fixzed C code for ALPHA destination.. ok NOW its got it right...
	  havent done
	  asm code though... MAY need to optimize C code math for alpha
	  dest.

2000-05-08 16:41  pkj

	* Removed this generated file from CVS (again).

2000-05-06 19:37  raster

	* build dither table for masks alwasy... even in depths > 16

2000-05-05 16:28  raster

	* asm for colormod ops......... :)

2000-05-04 16:32  raster

	* aha! trying to free null pointers? NO NO NO - bad boy!

2000-05-02 17:33  raster

	* allow for flipping whilst scaling and rendering... :)

2000-04-30 19:15  raster

	* write text at any angle............... :) patches form willem
	  again :)

2000-04-28 17:42  raster

	* add -help patch and also fill in some options

2000-04-27 16:14  llane

	* added patch by David N. Welton to cleanup configure handling
	  Thanks, David.

2000-04-27 12:37  gilbertt

	* Thu Apr 27 13:43:49 GMT 2000
	  (gilbertt)
	  
	  Actually, made the gif loader give back what it's got without
	  changing im->h
	  to reflect, or reallocing the image data. The reason for this is
	  that it
	  already told apps what the image size was in the first
	  progressive loader
	  callback, and changing it afterwards can cause confusion. Also,
	  an app can
	  still handle/display a half-loaded image, as the rest is just
	  filled black,
	  and the programmer knows how much of the image he got, 'cos he
	  interrupted
	  it from the callback. If the programmer wants to trim the image,
	  he knows
	  where to trim it, but if he/she wants to display a part-loaded
	  image,
	  that'll work sanely.
	  
	  I think this is more sane behaviour, having tested it in feh and
	  imlib2_view, but feel free to disagree ;-)

2000-04-27 12:27  gilbertt

	* Thu Apr 27 13:41:11 GMT 2000
	  (gilbertt)
	  
	  Free up some RAM and close the filehandle when interrupted.

2000-04-27 07:51  raster

	* handle infinite loop for tile if scalign down to 1x1)

2000-04-27 03:37  mej

	* Hush CVS.

2000-04-27 03:35  mej

	* Nuked some autogenerated files and added acconfig.h.

2000-04-27 03:30  mej

	* Hush up on the warning.

2000-04-27 03:28  mej

	* Don't cache partially-loaded images.

2000-04-27 03:11  raster

	* beter freetype_h stuff back

2000-04-27 03:09  gilbertt

	* Thu Apr 27 04:22:06 GMT 2000
	  (gilbertt)
	  
	  Return 2 from interrupted loaders.

2000-04-27 03:04  raster

	* cleaner......

2000-04-27 03:01  raster

	* better configure check for freetype- hopefulyl people wont keep
	  askign dumb
	  questions anymroe about freetype.h

2000-04-27 02:53  gilbertt

	* Thu Apr 27 04:00:28 GMT 2000
	  (gilbertt)
	  
	  All done except the tiff loader. (Although I may be giving back
	  incomplete
	  rows on a couple, I have to test more).
	  The tiff loader is gonna be hard, libtiff is quite broken in many
	  ways ;-)

2000-04-27 02:46  mej

	* Wed Apr 26 19:58:05 PDT 2000
	  (KainX)
	  
	  If progress() returns 0, clip the last row and
	  return 2.

2000-04-27 02:34  raster

	* nicer help message

2000-04-27 02:32  raster

	* better asm detection - there's an --enable-mmx now too if you
	  want to
	  force or disable the feature by force... it will try autodetect
	  under linux
	  but only on the build machine...

2000-04-27 02:14  gilbertt

	* Thu Apr 27 03:16:59 GMT 2000
	  (gilbertt)
	  
	  Okay, an ImlibProgressFunction now return int, not void. The idea
	  of this is
	  so that a progressive load may be aborted midway, simply by
	  returning 0 from
	  the progress callback. There are a number of reasons for wanting
	  this.
	  
	  This is a slight breakage to people currently using progressive
	  loading -
	  you'll have to change your definition to int, and return 1 to get
	  normal
	  behaviour again. As far as I know, only feh and imlib2_view uses
	  progressive
	  loading, and I'll sort those two out. To anyone else, sorry, but
	  it's not
	  released yet, what did you expect? ;-)
	  
	  Notice. I haven't changed the loaders yet, so returning 0 won't
	  do squat
	  until tomorrow, when I change them all. What they will do is
	  clean up and
	  return what they've got so far. If anyone who wrote a loader
	  wants to do
	  their own, cool, it'll save me learning the api of every damn
	  image lib ;-)
	  It's just a case of swapping
	  progress(params, ...);
	  with
	  if(!progress(params, ...)
	  cleanup_some_stuff_and_return_what_there_is();
	  Otherwise, I'll do it myself tomorrow.
	  
	  Can anyone tell I've got time off work? ;-)

2000-04-27 01:51  gilbertt

	* Consolidate one ChangeLog in the root dir.

2000-04-27 01:48  gilbertt

	* Thu Apr 27 02:59:57 GMT 2000
	  (gilbertt)
	  
	  Changed all the loaders to use ImlibProgressFunction instead of
	  defining it
	  themselves. This is so I can change them all at once tomorrow.

2000-04-27 01:48  raster

	* add

2000-04-26 19:36  raster

	* ok.. mmx asm for routines again.. and this time... they seem to
	  not segv :)

2000-04-26 00:29  mandrake

	* hmm

2000-04-25 18:17  raster

	* slight api changes..... problem was we have a useless paramin the
	  pixmap gen
	  calls - it shoudl have used the context... :)

2000-04-25 03:29  mej

	* Never mind. I fixed the bugger.

2000-04-22 03:45  mej

	* Fixed a possible divide by 0.

2000-04-20 22:49  raster

	* sorry - needed to unpatch code for old scaling to work.........

2000-04-20 22:29  raster

	* scalign code back to old scaling... new scalign code has bugs...
	  even the C
	  code has segv's.. somewhere... :(

2000-04-20 02:39  raster

	* disable damnit!

2000-04-20 02:37  raster

	* mmx scaling back in - but forcibly disabled. new C scalign for
	  scalign down..
	  works now.. :)

2000-04-19 17:50  raster

	* add the bugger :)

2000-04-19 16:53  raster

	* rgba code for plain 16bpp using mmx... :) and blend rounding asm
	  error fixed
	  thanks willem :)

2000-04-17 18:20  raster

	* unpatch scaling down code - there seems to be a segfault in it
	  somewhere :)

2000-04-17 07:59  raster

	* wow willem.. scalign down mmx code too.. :)

2000-04-16 18:26  raster

	* man.. more mmx asm for scaling.. thanks willem... you love this
	  dont you? :)

2000-04-14 03:11  mej

	* "Hi. My name is raster, and I smoke crack. I think I'll
	  dereference this
	  pointer I just freed. Sound like a good idea? Yes, I thought so
	  too."
	  :-P

2000-04-13 23:27  raster

	* FIX FIX! evil mmx code! missing decls! thanks dragan - mej ::)

2000-04-13 20:31  raster

	* get rid of printf

2000-04-13 20:29  raster

	* no - DONT put dmalloc in!

2000-04-13 20:24  raster

	* foudn evil mmx code overwriting memeory! thanks mej. back to the
	  C code for
	  you!

2000-04-13 17:10  raster

	* oops =- add

2000-04-13 16:37  raster

	* changelog..... NOOOOOOOOO cant be! :)

2000-04-13 16:31  raster

	* full fix of logic in blending rgb->rgb functions in C NB: the mmx
	  asm needs to
	  be chnaged to reflect this

2000-04-13 03:02  raster

	* blum blum blum

2000-04-12 23:40  mej

	* Several miscellaneous bugfixes I did while converting Eterm to
	  use Imlib2.

2000-04-12 18:47  raster

	* fix corner case for clippign where integer math rounds source
	  widht to 0 where
	  it shoudl be 1.

2000-04-11 23:34  mej

	* Added a function to retrieve the image filename, if it has one.
	  It returns
	  a pointer to an internal string, so if you want to alter the
	  filename, you
	  MUST strdup() it.

2000-04-10 21:50  raster

	* fix some blending cases

2000-04-10 18:26  raster

	* include updated comments

2000-04-10 18:12  raster

	* optimize mmx blending more.. uswed to do 15 million pixels/sec...
	  now does 25
	  million per sec.. compared to the C (9million per sec) thats
	  pretty good now

2000-04-09 00:05  gilbertt

	* Thought you could use a ChangeLog. I filtered it from muy
	  cvs-commits-list
	  mbox, so bin it if you don't like =)

2000-04-08 21:06  raster

	* fix spec file - dont buidl demos package

2000-04-08 19:20  raster

	* dont compile mmx data struct in if no mmx asm is used

2000-04-08 19:15  raster

	* check for i686 artch and only then compile the mmx asm (i586 isnt
	  guaranteed
	  to have mmx - NB libs built for mmx will NOt work on non mmx
	  boxes right now
	  need to do a runtime chekc for that)

2000-04-08 18:45  raster

	* add asm for blending.... this will break imlib2 right now for all
	  platforms that
	  arent xz86 intel 9unless you rmove the asm form the makefile and
	  blend.c

2000-04-08 04:13  raster

	* now that was bad! fix update appending :)

2000-04-05 03:56  raster

	* dont need that code no more

2000-04-05 01:34  raster

	* fix dither mask generation.. works again now.. use for icons to
	  dnd

2000-04-03 22:38  raster

	* faster scaling up.......... :)

2000-04-02 20:42  raster

	* updates..... actually clip if only 1!

2000-04-02 20:31  raster

	* need new updates call.....

2000-03-30 03:28  raster

	* no more of that thanks

2000-03-29 02:57  raster

	* um ooops - how did that happen?

2000-03-28 23:20  raster

	* optimize scalign down routine for RGBA as well as RGB...

2000-03-28 22:25  raster

	* speedup scaling down....... but i cant seem to get any speedup
	  for up scaling

2000-03-28 18:09  raster

	* damn willem! you love playing with imlib2 don;t you? :-) good
	  show :)

2000-03-27 19:39  raster

	* oopsa typo

2000-03-27 19:20  raster

	* nicer including of config.h

2000-03-27 19:17  raster

	* BGR56r & BGR555 support.......... please test if u have a display
	  like this :)

2000-03-26 00:35  raster

	* ummmm fix dat.....

2000-03-26 00:10  raster

	* fix endianes problems..... works now on sparc solaris nicely.. :)

2000-03-24 19:06  raster

	* rotate speedups - rend bugfix... wheeeeeee

2000-03-24 19:03  raster

	* oops - missed modfifying colros there.. :)

2000-03-22 22:26  raster

	* optmize.. fix endianess stuff... :)

2000-03-21 09:38  raster

	* fix cmod.......

2000-03-19 22:53  raster

	* I'm back....... :)

2000-03-18 23:45  gilbertt

	* Partial loader_tiff rewrite from Eric Dorland. Much nicer :)

2000-03-18 14:26  gilbertt

	* Bite me =P

2000-03-18 13:56  gilbertt

	* Okay. The loader list is now trimmed. Where it would previously
	  contain:
	  argb.a bmp.a gif.a jpeg.a png.a pnm.a tiff.a
	  argb.la bmp.la gif.la jpeg.la png.la pnm.la tiff.la
	  argb.so bmp.so gif.so jpeg.so png.so pnm.so tiff.so
	  
	  It now contains:
	  argb
	  bmp
	  gif
	  jpeg
	  png
	  pnm
	  tiff
	  
	  lt_dlopen knows how to do the Right Thing with these, trying
	  first the .la,
	  then the .so. Now the loaders are each tried once per image (if
	  none of them
	  manage to load it).
	  
	  Added the following functions to achieve this:
	  char **__imlib_TrimLoaderList(char **list, int *num);
	  int __imlib_LoaderInList(char **list, int size, char *item);

2000-03-18 13:07  gilbertt

	* Leak plugged. Thanks Eric :)

2000-03-18 04:43  gilbertt

	* nothing major

2000-03-18 04:12  gilbertt

	* Removed a crufty bit.

2000-03-18 03:37  gilbertt

	* AARGH. Godamn file decriptor leak which has been driving me CRAZY
	  for a
	  WEEK! Got the BASTARD. DIE!
	  
	  (what complicated matters was that it only leaked on when it
	  *couldn't* load
	  the image).
	  
	  Please note. there is also a filedes leak in the tiff loader,
	  also when it
	  fails to load. I haven't been able to fix this yet, because
	  libtiff sucks
	  ass and has totally encapsulated the file descriptor. Lemme work
	  on it
	  tomorrow...

2000-03-18 01:20  gilbertt

	* shaddup ;)

2000-03-17 20:54  gilbertt

	* Shaddup ;)

2000-03-08 20:01  mej

	* Murple.

2000-03-08 16:20  mej

	* BMP loader fix for progressive loading from Chutt.

2000-03-08 06:11  mej

	* Keep raster happy.

2000-03-08 06:08  mej

	* BMP loader from Isaac Richards <ijr@po.cwru.edu>. It currently
	  has issues
	  with progressive loading, so don't use it with feh. :-)

2000-03-08 04:05  mej

	* TIFF loader from Eric Dorland <dorland@lords.com>.

2000-03-08 01:58  llane

	* stuff

2000-03-07 22:39  llane

	* removed dh_testversion

2000-03-07 17:16  llane

	* stuff

2000-03-04 02:45  raster

	* get context patch from tom......

2000-03-03 17:24  raster

	* poatch main.c - but rottest doesnt work.. must fix later

2000-03-03 17:15  raster

	* better

2000-03-03 16:42  raster

	* flum

2000-03-01 17:04  raster

	* flum..........

2000-02-27 19:23  raster

	* dont add that1

2000-02-27 19:23  raster

	* add files...

2000-02-27 18:37  raster

	* authors.. BTW - anyone watching commtis list please check
	  AUTHORS...
	  if your'e nto listed plese tell me to add you... I never do well
	  maintaining
	  it.

2000-02-27 18:36  raster

	* rotattion code added... :)

2000-02-22 22:29  mandrake

	* fixing freetype detection stuff, maybe?

2000-02-19 20:10  raster

	* ooops - big eng9ian bug! :)

2000-02-07 22:38  raster

	* const char *

2000-02-07 22:04  raster

	* oooops - image and pixmap cache baddies.. :(

2000-02-07 17:53  raster

	* oopsie - problem with non extension format images :)

2000-02-03 00:10  llane

	* clean target

2000-01-26 05:25  raster

	* get enmdianess roight for sparc (and ppc) for masks...

2000-01-26 05:18  raster

	* oops typo

2000-01-26 05:14  raster

	* endinaness for masks broken onf sparc.. fix...

2000-01-24 19:18  raster

	* ooops - fix :)

2000-01-24 17:07  raster

	* that was silly! fix fix fix - thanks alan :)

2000-01-21 20:36  raster

	* 2 more checks in save calls for image data...

2000-01-17 22:50  mej

	* Put those back. I hate warnings.

2000-01-17 22:21  raster

	* put that back...

2000-01-17 18:20  raster

	* oops - forgort to remove param from imlib_free_color_rangex

2000-01-11 22:42  mej

	* Ummm...

2000-01-11 03:15  raster

	* updates and fixes.. versioning etc...

2000-01-10 12:25  raster

	* up version... add c++ usability..

2000-01-10 06:49  raster

	* add dither mask pixmap rendering contexts...

2000-01-10 05:42  raster

	* add to header.....

2000-01-10 05:41  raster

	* i cant beleieve i missed wrappign the pixmap free function....

2000-01-07 18:40  raster

	* dont be so anal abotu ewncodings... if no apple or windows
	  encoding is there
	  just use encoding charmap 0 :)

2000-01-06 11:03  raster

	* no more dmalloc now :)

2000-01-06 11:02  raster

	* off by one in string alloc! bugger! :)

2000-01-06 06:32  raster

	* search path for font mroe sanely

2000-01-06 05:58  raster

	* allow full paths for font names too..

2000-01-05 14:29  mej

	* *grumble*

2000-01-05 14:28  mej

	* Don't ask me how this got out of sync....

2000-01-05 12:23  raster

	* oops - expand indexed images...

2000-01-05 10:26  raster

	* add loader flush call and fix gif loader to be able to load when
	  theres no
	  progress set :)

1999-12-26 18:27  raster

	* get clipping right...

1999-12-23 23:30  raster

	* fix missing case in scaling for blending objects...

1999-12-23 16:43  raster

	* oops typo :)

1999-12-22 10:48  mej

	* Whoops. Forgot to call the progress callback one last time.

1999-12-22 08:03  raster

	* for acceleration to work i nee to add a parameter to
	  put_back_data

1999-12-21 20:46  mej

	* A GIF loader. There is no save function yet, and you'll need
	  libgif to
	  use it.

1999-12-19 23:02  raster

	* fix loaders......

1999-12-19 21:08  llane

	* more preliminary assimilation

1999-12-17 15:37  raster

	* create .a's :)

1999-12-16 16:26  raster

	* fix dat.........

1999-12-16 16:24  raster

	* jpeg loader stays quiet - png loader handles grayscale + alpha
	  images correctly

1999-12-14 18:12  mej

	* Hush.

1999-12-14 09:18  raster

	* fix fix fix fix......................... :)

1999-12-10 14:31  raster

	* include config.h

1999-12-10 14:30  raster

	* compile damnit...

1999-12-10 14:27  raster

	* more blum - bloody freetype - why does debian have to go move the
	  headre to a
	  different location to where it always was?

1999-12-10 14:26  raster

	* blum

1999-12-10 12:34  raster

	* oops :) fixed :)

1999-12-07 18:28  raster

	* imlib2_view works again...

1999-12-07 18:20  raster

	* fixe view to compile & work

1999-12-07 18:02  raster

	* test program back to normal.. nwo works with api changes...

1999-12-07 17:30  raster

	* spec file too...

1999-12-07 17:30  raster

	* just up the versions to show i did something... :)

1999-12-07 17:28  raster

	* lets break the Imlib2 api and chnage it... now its context
	  based.. :)

1999-12-02 21:02  raster

	* oops saver does rescan loader - so unless you laoded an image no
	  laoders
	  will be around... and it wont get rescanned on save.. :)

1999-11-19 07:42  raster

	* ok - gradients now dont overflow the precision buffer as badly..
	  :)

1999-11-17 00:01  raster

	* oh oops - image blending whilst scaling want quite right in the
	  api.. :)

1999-11-16 00:06  raster

	* oop s- clipping problme wiht lines.. fixed :)

1999-11-13 18:55  raster

	* oopsie in blend.c

1999-11-07 08:51  raster

	* added AUTHORS file.. fixed copyting....

1999-11-04 16:20  raster

	* ooooooooops :)

1999-11-04 09:02  raster

	* mising 2 important calls inthe font code... :)

1999-11-03 16:22  raster

	* again..........

1999-11-03 16:21  raster

	* add soem stuff and new blend.c from ryan :)

1999-11-02 15:56  raster

	* more correct makefile.am in base........

1999-11-02 15:29  raster

	* Makefile NOT Makefil ! :)

1999-11-02 14:42  raster

	* now that works better

1999-11-02 14:34  raster

	* primitive timeout.. its not even that good.. :)

1999-11-02 13:32  raster

	* fix a little of the rend code - never testyed that bit...
	  andf the imlib2_view works nicely iwth zooming too :)

1999-11-02 11:13  raster

	* add ignores.......

1999-11-02 11:12  raster

	* oops - fix that filled rect drawing code

1999-11-02 10:17  raster

	* get rid of saver func

1999-11-02 10:16  raster

	* argb format loader & saver. my own format just so i can load and
	  save raw ARGB
	  data blindingly fast for imlib2 :)

1999-11-02 08:25  raster

	* pnm loader can save now...

1999-11-02 00:53  raster

	* binary png loaders done..plus speculating on the P8 format...
	  dont like it
	  much... i think ineed a FAST trivial to load ARGB format.

1999-11-02 00:24  raster

	* pnm loader handles binary formats allright... :)

1999-11-01 20:50  raster

	* hmm that didnt compile.. ooh fun :)

1999-11-01 18:46  raster

	* oops makefile......

1999-11-01 18:45  raster

	* starting on pnm loader (ppm, pgm pbm, pam) - will finish later...

1999-11-01 18:13  raster

	* no printf

1999-11-01 18:12  raster

	* stop testing saving.. it works..

1999-11-01 18:10  raster

	* handle progress callback for saving in png loader..

1999-11-01 18:07  raster

	* more in ignore

1999-11-01 18:06  raster

	* add ignores......

1999-11-01 18:05  raster

	* update README

1999-11-01 18:00  raster

	* fix the version

1999-11-01 17:49  raster

	* restructure the direcotry a bit.......

1999-11-01 17:40  raster

	* re-structure......

1999-11-01 16:54  raster

	* fix that bitchift..

1999-11-01 16:52  raster

	* fix that........

1999-11-01 16:34  raster

	* and now thats all better.

1999-11-01 16:15  raster

	* flim

1999-11-01 16:13  raster

	* and now it all works...

1999-11-01 15:30  raster

	* whee more robus tagging...

1999-11-01 15:27  raster

	* we have a jpeg saver and the saver code works

1999-11-01 14:35  raster

	* structure for savign all done - now just need to fill in the
	  save() functions
	  in the loaders (yes laoder are also savers - loader and saver are
	  interchangeable).

1999-11-01 12:11  raster

	* add TODO...

1999-11-01 11:05  raster

	* udless &'s

1999-11-01 10:07  raster

	* fix some minro roundoff problems as before...

1999-11-01 10:00  raster

	* added ability to attach integert vlue and data poitner tags to
	  images by
	  string keys (with destructors optional) - wil be used for saving
	  of images
	  (savers will look for these keys to gleen parameters for saaving)

1999-10-31 23:08  raster

	* and handle ABGR ordering in 24/32bpp

1999-10-31 22:50  raster

	* eeek math error at 255 (becomes 254) not surprising i didnt
	  notice.. i
	  looked at the results rsather than numerically evaluating...

1999-10-31 19:50  mandrake

	* removed a warning

1999-10-31 19:45  mandrake

	* Sun Oct 31 20:21:13 PST 1999
	  (Mandrake)
	  
	  libltdl (large chunks of it) is automatically generated by
	  autogen.sh.
	  no need for those files to be in CVS.

1999-10-30 17:41  raster

	* optmiseeeeeeeeeeeeeeeeeee. :)

1999-10-30 11:54  raster

	* try this..

1999-10-30 11:22  raster

	* speed testing code back.. just testing...

1999-10-29 10:39  raster

	* dont need that fixme..

1999-10-29 09:11  raster

	* oooooooooops - thanks hans! :)

1999-10-28 23:04  raster

	* better api.h

1999-10-28 17:43  raster

	* get rid of images i'm nto using...

1999-10-28 15:26  raster

	* LOTS of checkign in the api now to make sure the calling program
	  can't stuff
	  things up too badly...

1999-10-28 13:11  mandrake

	* more "hush yo mouf cvs" changes

1999-10-28 13:09  mandrake

	* trying to "fix" imlib2's cvs tree

1999-10-28 10:40  raster

	* dont chose visuals > 24bit :)

1999-10-27 17:44  raster

	* and the flim goes on..........

1999-10-27 14:20  raster

	* pixel query call.... need this one

1999-10-27 14:08  raster

	* nice FAST gradient drawing code.... :) eat my dast...
	  MUHAHAHAHAHHA! :)

1999-10-27 13:48  raster

	* memcpy :)

1999-10-25 23:30  raster

	* more flim code..... >8)

1999-10-25 23:30  raster

	* more flim

1999-10-25 16:36  raster

	* work work work...

1999-10-22 11:40  raster

	* again........ :)

1999-10-22 11:19  mandrake

	* Fri Oct 22 10:53:26 PDT 1999
	  (Mandrake)
	  
	  removed almost all the warnings.
	  except for:
	  main.c:287: warning: implicit declaration of function
	  `__imlib_draw_line'
	  which I believe is because it's not using the appropriate API
	  call yet.

1999-10-21 17:07  raster

	* color modifiers in imlib2 now done.. cleaned up soem code...

1999-09-30 16:46  raster

	* we have... anti-aliased line drawing code now... :) (and funnily
	  enough -
	  UNLIKE gimp it actually CAN draw a straight line for shit with
	  anti-aliasing)

1999-09-29 18:10  raster

	* add actual api.h calls to the font caching stuff...

1999-09-29 17:25  raster

	* add speculative fotn cache ability - just like we have for images
	  and pixmaps
	  and ximages.

1999-09-28 23:48  raster

	* add some of the font api to the api :)

1999-09-28 23:08  raster

	* some fixes to get the output nextx and nexty right... :)

1999-09-28 18:51  raster

	* fix ups some toehr stuff...

1999-09-28 06:59  raster

	* you mightnt guess it - but rotated text all works now.. :)

1999-09-28 02:22  raster

	* add prototypes and cleanup unused vars

1999-09-28 02:13  raster

	* fix raster map over-allocation problem for fonts.. :)

1999-09-28 00:36  raster

	* some fixes to font code... :)

1999-09-28 00:33  raster

	* remove some more useless fonts

1999-09-28 00:03  raster

	* another useless font

1999-09-27 23:17  raster

	* nuke some more unusable fonts :)

1999-09-27 23:12  raster

	* this font segfaults freetype.. ooh nice freetype :)

1999-09-27 23:09  raster

	* get rid of silyl fonts with silyl names... i hate those names...
	  :)

1999-09-27 23:09  raster

	* get rid of soem useless fonts...

1999-09-27 22:55  raster

	* actualyl chekc if the font laod works and remove another bad font

1999-09-27 22:52  raster

	* bad bad font.......

1999-09-27 22:52  raster

	* add some test truetype fonts - just for testing... and truetype
	  font
	  rendering code... :)

1999-09-27 15:19  raster

	* why did i have a Makefile in cvs ?

1999-09-27 15:16  raster

	* more code for font stugff being added.. more to come...

1999-09-27 05:24  raster

	* more font stuff

1999-09-27 04:33  raster

	* add some files...

1999-09-26 21:36  raster

	* make imlib2 demo event based - test rect combining code in
	  handling exposures
	  and stuff - works it seesm - need to expand api though... expose
	  handlign works
	  fine as does rect mergeing and stuff.. must more efficient
	  updating method now
	  for demo.. template for stuff to be used by apps later :)

1999-09-19 22:05  raster

	* fix main.c

1999-09-19 21:57  raster

	* update autogen.sh

1999-09-19 21:56  raster

	* make install isnot system loader dirs

1999-09-19 21:53  raster

	* let autoconf figure out our endianess

1999-09-19 21:43  raster

	* fix 15/16bpp depth problems

1999-09-19 21:22  raster

	* and add soem comments

1999-09-19 21:18  raster

	* and one mroe fix for big endian boxes for imlib png loader

1999-09-19 21:00  raster

	* try make png laoder work on big endian... :)

1999-09-19 20:05  raster

	* ok- fix depth retireval code :)

1999-09-19 18:33  raster

	* get rid of extra space

1999-09-19 06:28  raster

	* cleaned up code a bit... :) minor speedup for sparse (lost of
	  transparent
	  bits in images) for alpha blending :)

1999-09-18 16:41  raster

	* rewmove files i didnt mean tot add

1999-09-18 16:40  raster

	* add some files

1999-09-18 07:50  raster

	* lots of new image manipulation functions and minor fix in loader
	  module code.

1999-09-17 01:47  raster

	* more wokr on updates

1999-09-17 01:31  raster

	* added updates work.. well starting on it.. :)

1999-09-15 01:24  raster

	* some mroe echos...

1999-09-15 01:22  raster

	* better autogen.sh comments to help you build imlib2

1999-09-15 01:15  raster

	* oooh more blending and operation code :)

1999-09-15 00:16  mej

	* *sigh*
	  
	  This should fix those weird autogen.sh problems. Apparently
	  automake --copy thinks it fails even though it really doesn't.

1999-09-14 04:21  raster

	* add operation type to blend ops.. :)

1999-09-13 05:34  raster

	* get rid of printfs i dont need no more :)

1999-09-13 05:32  raster

	* add some more images just to show off :)

1999-09-13 04:06  raster

	* more playing with imlib2... :)

1999-09-13 01:56  raster

	* ooh now imlib2 has a sexy demo for you people :) mmmmm watch the
	  alpha
	  blending... mmmmmmmmm

1999-09-11 02:04  raster

	* and now the png loader does full progress callbacks and
	  multi-phase loading
	  correctly... WHEEEEEEEEEEe :)

1999-09-10 18:11  raster

	* jpeg loader added that does everything RIGHT - needto mapk the
	  png loader
	  do the same. :)

1999-09-10 02:33  raster

	* ooh is imlib2 ever workign fast now baybeee.. blending one image
	  onto
	  another .. with clipping, scaling, anti-aliasing and more.. need
	  to add
	  a bit to the api, and move the stuff nowin api.c off into imlib
	  backend
	  sinc ethat stuff doesnt belong in api.c

1999-09-09 02:39  raster

	* more work on imlib2.. :)

1999-09-08 18:15  raster

	* and more updates :) wheeeeeeeee

1999-09-08 17:27  raster

	* lots more work on mr imlib2 :)

1999-09-01 17:36  raster

	* remember to not free images made form external data if it wasnt
	  copied.. and
	  free colors from color cubes once the context is invalid.. :)

1999-08-28 18:18  raster

	* adding color modifier api backend stuff.... :)

1999-08-23 22:45  raster

	* add some more stuff :)

1999-08-23 16:55  raster

	* flim! :)

1999-08-06 02:08  raster

	* all i have to say is.... OH YEAH! animated alpha blends on my
	  root window...
	  got a 640x480 image blending WIHT its alpha channel on my root
	  window...
	  drawing at... 20 frames per second... now if that dont make me
	  happy.. i
	  dont know what will :)

1999-08-05 23:33  raster

	* buugger me blummy :)

1999-08-05 21:54  raster

	* add libtool libltdl form Gary...

1999-08-05 21:51  raster

	* added Gary V. Vaughan's patches for libtool loader stuff and now
	  its all
	  automaked... :)

1999-08-05 06:08  raster

	* ok - fix that to compile :)

1999-08-05 05:27  raster

	* new api bits :)

1999-08-04 23:36  raster

	* adding the start of an actual aip layer... if you have any
	  comments about
	  this api - speak up now - because once it's final - that's it -
	  thats the
	  final api for imlib - anythig api.c calls etdc. can be changed -
	  unless
	  its the loader/saver api. that can't be changed either once its
	  all final.
	  :)

1999-08-03 05:15  raster

	* updated loader api to include progress callback stuff.... :)

1999-08-02 22:50  raster

	* fixed minor bug in png loader.... added copying file :)

1999-08-01 22:14  raster

	* adding imlib2 code in.. NOT a lib yet... :) but playable code and
	  loader
	  system

